1 Starting to use CompeGPS

1.1 Installing CompeGPS

1.2 Registering

1.3 Basic configuration to start using CompeGPS

1.4 Basic functions to start using CompeGPS

1.5 advanced configuration


1.1 Installing CompeGPS

1.1.1 System requirements

1.1.2 CompeGPS CD-ROM installation

1.1.3 Installing Internet downloaded version

1.1.4 Starting up CompeGPS

1.1.5 Uninstall CompeGPS


1.1.1 System requirements

Minimum requirements

· PC: Pentium 100 MHz

· Operating system: Windows 98 / ME / NT4 / 2000 / XP

· Ram Memory: 32 Mb

Recommended requirements

· PC: Pentium III 500 MHz

· Operating system: Windows 98 / ME / NT4 / 2000 / XP

· RAM Memory: 128 Mb

· Graphic card: TNT, Gforce 2 o superior


1.1.2 CompeGPS CD-ROM installation

The CompeGPS CD-Rom is an autorun program. To install CompeGPS proceed as follows:

  1. Insert the CD-ROM in your CD-ROM reader

The autorun presentation window will appear with an installation button and three help buttons in different languages.

  2. Click on the button Install CompeGPS.

Installation of CompeGPS will start.

  3. Follow the instructions, introduce all the information required by the CompeGPS installation program.

If you decide to start the program up when installation concludes, it will ask you which language you want to start the program.

· Choose the language and press OK.

If the CD- ROM does not start up, you will have to manually ejecutar the installation file. Ejecute the setup_compeGPS.exe file stored in the SETUP file in the CD-ROM

· Double clic on the file setup_compeGPS.exe.


1.1.3 Installing Internet downloaded version

Download the program from our web page: www.compegps.com in the DOWNLOAD section. From our web site you download setup_compeGPS.exe. This is the CompeGPS installation.

  2. Execute the installer setup_compeGPS[VERSION].exe.

· Double click on the downloaded file setup_compeGPS[VERSION].exe.

Installation of CompeGPS will start.

  3. Follow the instructions, introduce all the information required by the CompeGPS installation program.

If you decide to start the program up when installation concludes, it will ask you which language you want to start the program.

· Choose the language and press OK.


1.1.4 Starting up CompeGPS

To start CompeGPS up, proceed as follows:

· Double click on the icon situation on the descktop (if you chose this option).

· Double click on the file compegps.exe located in the file Program files\compegps (if you did not change it during the program installation).

The first time you start up CompeGPS, the program will ask you in which language you prefer.

· Select the language and click OK.

Unregistered users

A count down will start up if you are an unregistered user. You will have to wait until the count down finishes. Once it has finished, click on the button Register later. Remember that if you do not register the program will work for 30 days after installation and with certain limitations:

· The geographical coordinates will not work: Grades, Min & Seg.

· You will not be able to save as a WEB page.

· You will only be able to simultaniously view 2 tracks on the 3D window.

· Only 20 tracks will fit into the Track Book.

· Metric measurements will not work (feet for height measurements, miles for length measurements, etc.).

· The possibility of seeing several maps will not work. On a trial basis, during a few days, you will be able to view two maps at a time.

· You will not be able to import Barograph height readings on a 2D track.

Registered users

If you are a registered user you will have to introduce your registration code, to do so see CD registration code introduction o Final registration code introduction.


1.1.5 Uninstall CompeGPS

To uninstall the program:

· Select the Windows menu option Start> Programs> CompeGPS > Uninstall CompeGPS


1.2 Registering

1.2.1 Introducing the code with the CD version

1.2.2 Introducing the definitive registration code


1.2.1 Introducing the code with the CD version

When you buy the CompeGPS CD-ROM you will be given a temporary registration code which only enables the version stored on the CD-ROM.

To introduce the registration code:

1. Start CompeGPS, see Start CompeGPS.

When you do this, the presentation window will appear on the screen, the window has two buttons, Introduce the registration code and Register later, together with two links for registration.

2. Click on Introduce Registration Code.

A new window will appear where you will have to introduce the registration code supplied with the CD-ROM.

3. Write the registration code exactly as it is written, including the dashes.

4. Click on the button OK.

A window will appear to confirm that registration has been done correctly. If not, repeat the operation or send an e-mail to support@compegps.com.

To receive the registration code that will allow you to update CompeGPS to future versions, you have to send and e-mail to support@compegps.com with your full name and address and the CD-ROM registration code.


1.2.2 Introducing the definitive registration code

When you register via internet, you will receive a Key_CompeGPS.exe by e-mail together with a welcome letter.

1. Execute the file Key_CompeGPS.exe:

· Double click on the file Key_CompeGPS.exe.

Start up the registration code number installation program. Follow the instruction and introduce all the necessary information required by the CompeGPS installation program.

2. Start up CompeGPS, see Start CompeGPS.

When you start up the CompeGPS program, the presentation window will appear with two buttons Introduce registration code and Register later.

3. Clic on the button Introduce registration code.

A new window will appear where you will have to introduce the registration code which you received by e-mail.

4. Write the registration code exactly as it is written, including the dashes.

5. Click on the button OK.

A window will appear to confirm that registration has been done correctly. If not, repeat the operation or send an e-mail to support@compegps.com.


1.3 Basic configuration to start using CompeGPS

1.3.1 Measurement units

1.3.2 Objects folder

1.3.3 Protocoles and communication ports


1.3.1 Measurement units

When you start using CompeGPS it is important that you select the language and the measurement units that you wish to use. CompeGPS Default measurement units are metric.

CompeGPS allows you to chose between different measurement units: metric, English and nautical.

To configurate the language and the measurement units see International Configuration.


1.3.2 Objects folder

CompeGPS works with different objects: tracks, maps, waypoints, relieves, profiles and routes.

When you open a track, waypoint or any other object, CompeGPS looks for it in a predetermined folder created when you install the program.

If you want CompeGPS to look for an object ( tracks, maps, waypoints, relieves, profiles or routes) in another folder that you wish to define, see Configuration of Work Folders.


1.3.3 Protocoles and communication ports

It is important to configure the port and the communication protocol from which a track will be downloaded before being able to download a track from the GPS or logger.

The communication protocol is the language used by the GPS or logger in order to be able to communicate with the PC and send information. There are several different protocols in circulation; each GPS or logger brand has it s own.

Consult with the list of compatible equipment.

To configure the port and the communication protocol, see Configuring communications.


1.4 Basic functions to start using CompeGPS

1.4.1 Download a track from the GPS

1.4.2 Opening a Track

1.4.3 Open a map

1.4.4 Open a waypoints file

1.4.5 viewing in 3d

1.4.6 Create a waypoint

1.4.7 Creating a route

1.4.8 Load a waypoint file into the GPS

1.4.9 load a route on the GPS

1.4.10 Creating a trial profile


1.4.1 Download a track from the GPS

CompeGPS allows you to download tracks from the following GPS and flight instrument brands: Garmin, Maguellan, MLR, Bräuninger Galileo, Digifly Graviter, Renschler Sol, Log-it, Top Navigator.

Note: Before you dowload a track you may have to configure the ports and communication protocol between the PC and the GPS. For further information, see Configuring communications.

1. In order to download a track from the GPS, proceed as follows:

· Click on the button [image] (download a track).

· Select the menu option Comunications> Download a track from the GPS

A new window will appear with the download information. Once download has finished, CompeGPS may detect several independent tracks. CompeGPS will advise you of this in an information window.

Many tracks include several stationary points at the beginning and the end of the track. These are the points stored while you are stationary. CompeGPS will ask you if you wish to eliminate them. It is important that you do eliminate them in order to see the altitude graphic correctly.

2. Reply to the questions depending on what you want to do.

Once the track or tracks have been downloaded, they will appear on the main 2D window.


1.4.2 Opening a Track

1. To open a track, proceed as follows:

· Click on the button [image] (open track).

· Select the menu option Tracks > Open track

2. Select the track that you wish to open.

3. Click on the button Open.


1.4.3 Open a map

1. To open a map, carry out any of the following operations:

· Click on the Open Map [image] button.

· Select the menu option Maps > Open map.

A new window will open..

2. Select the map you wish to use.

3. Click on the Open button.


1.4.4 Open a waypoints file

1. To open a waypoints file, carry out any of the following operations:

· Click on the Open Waypoint [image] button.

· Select the menu option Waypoints > Open waypoints file.

2. Choose the waypoints file you wish to open.

3. Click on the open button.

For detailed information about waypoints, see chapter 6. Working with waypoints.


1.4.5 viewing in 3d

CompeGPS allowing you to view mountains and tracks in 3D in the tri-dimensional visualization window. You have to take into account that there are tracks in 2 and 3D. Some GPS do not register the height of the points.

These 2D tracks can also bee viewed in the 3D window but they will appear flat, stuck to the landscape.

For further information about tracks, see Working with tracks.

To be able to see mountains in 3D you will first need a profile, see Open a profile. If you do not do this the map will appear flat in the 3D window.

To open the tri-dimensional visualization window, proceed as follows:

· Select the menu option View> 3D viewer.

· Click on the [image] (3D viewer) button on the tool bar.

For detailed information about the 3D window see Chapter 10.2 3D window


1.4.6 Create a waypoint

In order to create a waypoint, proceed as follows:

1. Open the waypoint properties window:

· Select the menu option Waypoints > New waypoint.

· Using the right hand button of the mouse, click where ever you with to create a waypoint and choose the option Create waypoint here from the contextual menu, see Create waypoint using the contextual menu.

Note: If you create a waypoint using the contextual menu, you will not have to give the coordinates.

The window of the properties of the new waypoint will appear with three labels: information, coordinates y advanced.

2. Click on Information to give the waypoint a name, see Basic waypoint information.

3. Click on Coordinates and introduce the coordinates of the new waypoint, see Waypoint coordinates.

4. Click on Advanced if you wish to choose the waypoint s zoom level, see Advanced properties.

5. Click on OK.

The new icon will appear on the screen with the icon, name and colour that you choose in the label Information.

You can change the type fo coordinates in the unfoldable window Type of coordinates.

For further information about waypoints see chapter 6. Working with waypoints.


1.4.7 Creating a route

A route is a group of lined-up waypoints, that is, they are stored in an established order to create a route.

1. To create a route, proceed as follows:

· Select the menu option Route > Create new route.

In the lower part of the screen a window will appear with the properties of the route.

2. Click on the map where you wish the route to start.

3. Press the ctrl key and without letting it go, mark all the waypoint you wish to include in your route.

4. Store the route clicking on the button Save route in the window with the properties of the route.

For more detailed information, see chapter 7. Working with routes.


1.4.8 Load a waypoint file into the GPS

To load a waypoint file onto the GPS, proceed as follows:

1. Connect the GPS to the PC using the interface and turn it on.

2. Open the waypoints file that you wish to load onto the GPS, see Open a Waypoints File.

CompeGPS will show the waypoints on the screen.

3. Select the menu option Communications > Send Waypoints to the GPS.

CompeGPS will show a window informing of the development of the loading procedure.

If you have problems on loading the waypoints, you may have to configure your PC ports and the communication protocol, see Communication Configuration.

To load an individual waypoint, see Load a single waypoint onto the GPS.


1.4.9 load a route on the GPS

To load a route onto the GPS proceed as follows:

1. Connect the GPS to your PC using the interface and turn it on.

2. Open or create the route that you wish to load onto the GPS, see chapter 7. Working with routes.

CompeGPS will show you the route on the screen.

3. Select the menu option Communications > Send route to the GPS.

CompeGPS will show a window informing of the development of the loading procedure.

You may have to configure your PC ports and the communication protocol, see Communication Configuration.


1.4.10 Creating a trial profile

CompeGPS understands a Profile as a file where you can store different objects such as tracks, maps, 3D landscapes, waypoints and routes.

When you store a profile, CompeGPS creates a *.cjt file. On opening a profile, CompeGPS will open all these objects.

To create a profile file, proceed as follows:

1. Open all the objects that you wish to store as a profile (tracks, maps, landscapes etc).

2. Select the menu option Profiles > Save profiles

3. Give your profile a name and click on Save.

CompeGPS will create a *.cjt file. For more detailed information about profiles see chapter 8. Profiles, joining elements.


1.5 advanced configuration

1.5.1 Maximum number of maps open

1.5.2 Coordinates systems

1.5.3 Default Values

1.5.4 Track formats


1.5.1 Maximum number of maps open

By default, CompeGPS can only open one map at a time, although it can open as many maps as you want if it is configured to do so.

Carry out the following operations in order to change the maximum number of maps that be opened at once:

1. Open the CompeGPS general options window.

· Select the menu option File > Options.

2. Click on the label Maps.

In the lower right-hand corner you will see the box Maximum number of 2D maps open.

3. Click inside this box and write down the number of maps that you want CompeGPS to open at the same time.

Note:Remember that the system may work slower if you open a lot of maps at the same time.

For more detailed information about configuring CompeGPS, see 2. General Configurations.


1.5.2 Coordinates systems

There are several coordinate systems. CompeGPS uses the UTM system.

CompeGPS allows you to work with the most used systems such as UTM, LAT-LONG, British Grid amongst many others.

If you want to change the coordinate system, proceed as follows:

1. Open the window general options.

· Select the menu option File > Options.

2. Click on the label Coordinates.

3. Choose the system you wish to use by clicking on it in Type of coordinates.

For more detailed information about configuring the coordinate system, see Configuring coordinates.


1.5.3 Default Values

A track is a set of points ordered in time, where each point contains information about the coordinates, time, date and in most cases, height, but it can also contain additional information such as: name, name of exit location, amongst others.

You can configure CompeGPS to store certain information by default in all the tracks that it stores

To introduce the default values to be used by CompeGPS, proceed as follows:

1. Open the general option window.

· Select the menu option File > Options.

2. Click on the label Default values

3. In the different boxes in this window introduce the information that you wish to store.

4. Click on the button OK.

For more detailed information about default values, see Configuring default values.


1.5.4 Track formats

There are several track formats, CompeGPS allows you to work with .TRK format (it s own format) and .IGC format. CompeGPS default stores tracks in .TRK format.

To change the type of format in which CompeGPS stores tracks, proceed as follows:

1. Open the window general options.

· Select the menu option File > Option.

2. Click on the label Tracks.

From here you will be able to change the type of format used by CompeGPS when storing tracks.

3. Select the track format in the section Default track format.

For more detailed information about tracks see Configuring tracks.


2 General Options

2.1 File Options

2.2 CONFIGURATION PROCEDURES


2.1 File Options

2.1.1 Save All

2.1.2 Close All

2.1.3 Printing

2.1.4 Save as a WEB page


2.1.1 Save All

To save the on-screen changes you have made in maps, tracks waypoints and routes, proceed as follows:

1. Click on the menu option File > Save all.

2. Specify where you wish to store these files and also the name you wish to assign.


2.1.2 Close All

To close all open files, proceed as follows:

· Click on the menu option File > Close all.


2.1.3 Printing

To print the active file, proceed as follows:

1. Click on the menu option File > Print.

2. Establish your printing preferences in the window that will appear and click on Print.


2.1.4 Save as a WEB page

To save your files as HTML files, proceed as follows:

1. Click on the menu option File > Save as a WEB page.

2. Specify where you wish to store the file and click on Save.


2.2 CONFIGURATION PROCEDURES

2.2.1 MAP CONFIGURATION

2.2.2 Coordinates Configuration

2.2.3 configurating communications

2.2.4 Working folders configuration

2.2.5 Animation configuration

2.2.6 Moving map configuration

2.2.7 International configuration

2.2.8 Configuring default values

2.2.9 Tracks configuration

2.2.10 Configuring the status bar


2.2.1 MAP CONFIGURATION

In order to modify the predetermined map configuration, proceed as follows:

1. Select the menu option File > Options

2. Go to Maps.

You will be able to modify the following map configuration options, in the window that appears:

· Font for waypoints: to change the font.

· U.T.M. grid: you can remove or change the distance between the U.T.M. grid and the colour of the grid.

· Grades of the grid: you can remove or change the grades of the U.T.M. grid and the colour of the grid.

· See frames of all maps: you can view the frames of all your available maps.

· Draw maps in top quality: you can view the maps in top quality but movement will be slower.

· Max number of drawn 2D maps: you can change the number of 2D maps simultaneously viewed on the screen.

· Configure Status Bar: configure the fields in the bar. To configure the functions, see Select fields.

  3. Click on OK to save the changes or Cancel to re-establish predetermined values.


2.2.2 Coordinates Configuration

To modify the pre-established coordinates configuration, proceed as follows:

1. Select the menu option File > Options.

2. Select the label Coordinates.

From here you will be able to modify the following configurations:

· Clicking on Type of Coordinates you will see and be able to chose the best coordinates for your maps. You can chose from a range of 10 types of coordinates used mainly in Europe.

· Clicking on Datum you will be able to chose the best datum for the map you will be working with (to create waypoints, routes or tasks).

3. Click on OK to save the changes.


2.2.3 configurating communications

In order to modify the configuration of the communications, proceed as follows:

1. Select the menu option File > Options

2. Go to Communications.

The option Connect to one GPS will appear in the next window, from which you will be able to modify the following configurations:

1. Communication port: choose which computer port will be connected to the GPS.

2. Protocol: choose the protocol use by your GPS.

· If you do not know which protocol to choose, click on the option Auto-Detect so that the program will identify the GPS original protocol. There are two exceptions, that will not be identified: Top Navigator and Braüniger Comp / IQ.

3. Speed: after choosing the GPS protocol, choose the transfer speed. Take into account that errors may occur at high transfer speeds.

A high transfer speed can be used with Garmin GPS if you choose the option Use high speed download for Garmin.

4. Click on OK to accept the changes.


2.2.4 Working folders configuration

The program automatically assigns certain folders to distribute the information that you save (objects: Tracks, Waypoints, Routes, Landscapes and Competitions). You can modify this configuration if you proceed as follows:

1. Select the menu option File > Options .

2. Select the section named Folders.

The window that appears allows you to modify the following configurations:

· Assign new paths for the folders: Maps, Tracks, Waypoints, Routes, Relieves y Competitions.

To change the path to the folder, proceed as follows:

· Write the full path in the text window.

· To examine and select the chosen path click on the button on the right hand of each section.

3. Clic on OK to save the changes.


2.2.5 Animation configuration

In order to configure the animation, proceed as follows:

1. Select the menu option File > Options.

2. Go to Communications.

The follow options can be modified in the new windows:

· Animation speed: you can increase the animated speed of the 2D track compared with the real speed.

· Animation speed (3D): you can increase the animated speed of the 3D track compared with the real speed.

· Animation mode: allows you to choose between different movements:

o Move icons over the track: the moving icon will move over all of the drawn track.

o Move icons without a drawn track: the moving icon will move over the un-drawn track.

o Move icons and draw the track: as the icon moves, the track will appear behind it.

o Move icons and hide the track: as the icon moves, the track will disappear behind it.

· Icon in movement: you can view the predetermined icon.

· Final icon: you can view the predetermined icon that appears at the end of the track.

These functions are complemented with these other options:

· Change icon: click on this button to choose between the other possibilities and change the icon.

· Turn the icon: clicking on this button, the animated icon will turn when the track circles.

Click on OK to save the changes or Cancel to re-establish the predetermined values.


2.2.6 Moving map configuration

To modify the default configuration of the Moving Map, proceed as follows:

1. Select the menu option File > Options .

2. Select the section named Moving Map.

The window that appears allows you to modify the following configurations of the Moving Map:

· Storage interval allows you to chose between two types of storage:

o Clicking on By Time you will be able to change the interval in seconds. Program default saves every 5 seconds.

o Clicking on By Distance you will be able to change the interval in meters, kilometres, miles, feet or nautical miles. This depends on the option chosen in the International label in Options. For more detailed information see International Configuration.

· Clicking on Pointer you will be able to choose the type of pointer that will animate the Beijing of the Moving Map.

· If you chose Turn Map, all the maps will turn when you change course.

· If you select Look for the best map for the given position, the program will automatically look for the best quality map when the track finds the end of a map.

· Save the track, the program will store the track in the Track folder at the same time that it is represented.

3. Click on OK to store the modifications.


2.2.7 International configuration

In order to modify the predetermined International configuration, proceed as follows:

1. Select the menu option File > Options .

2. Go to International.

The following International configuration options can be modified in the window that appears:

· Language: you can chose the language to be used by the program from those on the list

· Then you can change the measurements used for tracks, routes, tasks and track optimisation:

o Distances in ... choose between: km, Mi, nm or m.

o Speeds in... choose between: km/h, MPH, Kt.

o Altitude in... choose between: m, ft, brazas.

o Short distances in... choose between: km, Mi, nm, m, ft.

o Rise rate in choose between: m/s, ft/min.

o Temperature in... choose between: ºC, ºF, K.

3. Click on OK to save the changes.


2.2.8 Configuring default values

In order to complete or modify the Default Values, proceed as follows:

1. Select the menu option File > Options.

2. Go to Default Values.

You will be able to complement or modify the following Default Value options in the window that will appear:

· Pilot s name: fill in the name of the pilot, this name will appear in the animation and the track properties.

· Name of take off: write or modify the name of the take off area, this name will appear in the track properties.

· IGC Glider type: fill in the name or type of glider, this name will appear in the track properties.

· IGC Glider ID: fill in or modify the IGC parameters, these will appear in the track properties.

· IGC Competition Class: fill in or modify the class in which the pilot has competed.

· Competition ID: fill in or modify the IGC id number, this name will appear in the track properties.

3. Click on OK to save the changes.


2.2.9 Tracks configuration

In order to modify the predetermined configuration of the Tracks, proceed as follows:

1. Select the menu option File > Options.

2. Go to Tracks.

The following options can be modified in the window that appears:

· Default track format: you can choose the type of file format between the following formats:

o TRK: the CompeGPS track format.

o IGC: the International Glider Comition format.

· Default track name: you can choose between the following track presentation formats:

o Traditional: Track NN hh_mm_ss dd-mm-yy; for example: 17 13:45:32, 23-03-2002 (track number, initial time, date).

o Standard IGC 8 characters: amdcxxxn; for example: 23NxxYY1 (date of the track, IGC name of the GPS or logger and track number). If you choose this option, the option giving the GPS or logger a 3 character name (IGC name) will appear lower down another.

o Standard IGC long name: yyyy-mm-dd; for example: 2002-03-23-XXX-xYYY-01 (date of the track, IGC name of the GPS or logger and track number). If you choose this option, the option giving the GPS or logger a 3 character name (IGC name) will appear lower down another.

· Altitude value: predetermine altitude value to be used for analysis, graphics, 3D viewing and track properties:

o Barometric Altitude or GPS Altitude: you can choose this option if your GPS or logger also stores these two values.

o If your GPS only stores the GPS altitude, the program will automatically predetermine this value.

3. Clic on OK to save the changes.


2.2.10 Configuring the status bar

The lower status bar can be configured in order to show different information such as: time, track speed, coordinates, track height, course...

Proceed as follows in order to distribute the function fields:

1. Select the menu option File > Options > Maps.

2. Click on the button Configure Status Bar and proceed to distribute the fields doing the following:

· Once in the Select Fields window, select the function that you wish to add or remove from the bar and add it to Available Fields or Chosen Fields using the horizontal arrows (right and left).

· Once in the Select Fields window, chose and drag the function to Available Fields or Selected Fields.

3. Click on OK to save changes.


3 Working with tracks

3.1 Definitions

3.2 Procedures with tracks

3.3 Track book

3.4 Competition online On Line Contest

3.5 Track propierties

3.6 Analysing a track

3.7 Track contextual menu


3.1 Definitions

3.1.1 What is a track?

3.1.2 2d and 3d Tracks


3.1.1 What is a track?

A track is a load of points ordered according to their date and time, in which each point contains inforamtion regarding position, hour, date and, in most cases, altitude.

Warning: some GPS do not store information regarding the date.

We can distinguish between tracks in 2 or 3 dimensions, depending on whether the altitude is also stored. For further information see 2 and 3 Dimensional Tracks.

Whenever you store tracks in a CompeGPS compatible format (.TRK y .IGC), apart from the actual track information you can also store a series of information that can be modifed or inserted from the program, such as name of the track, comments, name of the departure point, amongst others. For further information, see Track properties.


3.1.2 2d and 3d Tracks

We can establish the diferences between tracks in 2 and 3 dimensions. The difference resides in the fact that, as web as storing the point s coordinates, time and dates, tracks in 3 dimensions also store the height of the point.

In the CompeGPS 3D view window you can view both types of tracks. The 2D tracks, without height references, will appeared stuck to the landscape, if a landscape has been loaded, if not they will be stuck to the plane, while the 3D tracks will appear at their flight level, in 3 dimensions.


3.2 Procedures with tracks

3.2.1 Download a track from the GPS

3.2.2 Opening a track

3.2.3 Open track properties window

3.2.4 Save a track

3.2.5 Close a track

3.2.6 List of tracks window

3.2.7 send tracks via internet

3.2.8 Track animation


3.2.1 Download a track from the GPS

CompeGPS allows you to download tracks from the following GPS and flight instrument brands: Garmin, Maguellan, MLR, Bräuninger Galileo, Digifly Graviter, Renschler Sol, Log-it, Top Navigator.

If you wish to download a track from the GPS you must take into account that you will probably have to configure the program and the GPS, see Configuring communications.

It is important that you configure your GPS before you start dowloading tracks; if you do not do so the GPS and your PC may not be able to comunícate.

In order to download a track from your GPS or logger, proceed as follows:

1. Prepare your GPS for download, see Configure the GPS.

2. Connect the GPS to you PC using the cable supplied by the GPS manufacturer

3. Start the download:

· Click on the button [image] (download track).

· Select the menu option Communications > Dowload track from the GPS.

A window will appear with the download information.

Once download has finished, CompeGPS may detect several independent tracks. CompeGPS will advise you of this in an information window and it will ask you if you want CompeGPS to separate them as independent tracks.

Many tracks include several stationary points at the beginning and the end of the track. These are the points stored while you are stationary. CompeGPS will ask you if you wish to eliminate them. It is important that you do eliminate them in order to see the altitude graphic correctly.

4. Answer to the questions according to your preferences.

The track or tracks downloaded from the GPS or logger will then appear in the center of the screen.


3.2.2 Opening a track

1. To open a track, proceed as follows:

· Click on the button [image] (open track).

· Select the menu option Tracks > Open track

2. Select the track that you wish to open.

3. Click on the button Open.


3.2.3 Open track properties window

To open track properties window do the following operations:

  1. Use the right button of the mouse to any point of the track.

  2. Select in the contextual menu track properties.

The properties track window has five labels (Data, Colors & Icons, Comment about the track, points list and Advanzed) and 6 buttons:

  • Close: Clic to close the window.

  • Save track: Clic to save changes made on the track.

  • Remove a track from the screen: Clic to remove the track from the screen.

  • Save in track book: clic to save the active track in the track book.

  • Save as: Clic to save the track as a .TRK and .IGC file.

  • Graphics: Clic to open the graphics window.

To see the functions of each of the labels see: Track information, Colors & Icons, Comments about the track, points list, Advanced.


3.2.4 Save a track

There are two possibilities to save a track: Save and Save as.

Save track

To save a track, proceed as follows:

1. using the right hand button of the mouse, click anywhere on the track.

A contextual menu will appear offering several possibilities.

2. Select the option: Save track.

If it is the first time that you are saving a particular track, CompeGPS will ask you to give the track a name.

3. Give the track a name and select the file where it is to be stored.

4. Click on the button Save.

Save as

Apart from allowing you to save a track with a new name, this option allows you to choose the format in which you want to save the track. CompeGPS allows you to save the track in .TRK and . IGC formats.

To save a track as, proceed as follows:

1. Using the right hand button, click anywhere on the track.

A contextual menu will appear offering several possibilities.

2. Select the option: Save a track as

3. Give the track a name and select the file where it is to be stored.

4. Select the format in which you wish to save the track using the box Type. Choose between .TRK o .IGC.

5. Click on the button Save.

If you wish to predetermine the format used by CompeGPS when you save a track, see Configuring tracks.


3.2.5 Close a track

There are diferent ways to close the tracks are loaded in the screen.

Close a track individually.

1. Click over any point of the track you want to close with the right button of the mouse

It will appear the contextual menu of the track with different options.

2. Select the option Remove flight from the screen.

Close all the tracks

· Select the menu option: Tracks>Close all the tracks

Close a track from the Altitude graphic.

1. Open the altitude graphic.

2. Select the graphic of the track you want to close with the right button of the mouse.

It will appear a new window with diferent options.

3. Click over the option Remove flight from the screen.

It's also possible to close the tracks from the Track List window, see List track window.


3.2.6 List of tracks window

In the window List of tracks details of all the open tracks are given and you can carry out diferent operations with them.

To open the window List of tracks proceed as follows:

· Select the menu option Tracks > List of downloaded tracks.

To carryout any operations from the window List of Tracks, proceed as follows:

1. Select a track from the list.

2. Click on the corresponding button according to the operation you wish to carry out:

· Add a track: Click on the button to open a new track and add it to the list (in this case you do not have to previously select the track).

· Remove a track from the screen: Click on the button to close the selected track.

· Properties: Click on the button to open the properties window of the selected track.

· Save track: Click on this button to save the selected track.

· Save track as: This option allows you to save the track in .TRK or .IGC formats. Click on this button to save the track.

· Graphics: Click on this button to see the graphics of the selected track.

· Save track in the track book: Click on the button to store the selected track in the track book.

· Close all except one: Click on this button to close all tracks except the selected track.

· Zoom here: Click on this button to zoom down on the selected track.


3.2.7 send tracks via internet

Currently one of the most used asset of the Internet is the existence of servers related to the GPS and their different uses, mainly sport uses.

These are public servers and they store anything, from tracks to maps, for example http://edcdaac.usgs.gov/gtopo30/gtopo30.html or https://zulu.ssc.nasa.gov/mrsid amongst many others.

CompeGPS allows you to send and receive tracks directly from the internet to and from a wide range of serves. One of these servers si the CompeGPS Track Server.

This server contains a wide range of track books divided depending on the sport practiced and the country; you can find all types of tracks from the world over. All the track have been sent by CompeGPS users; use of this server is free.

In order to send or receive a track from the CompeGPS Track Server see the chapter Track Server.

CompeGPS is also compatible with On Line Contest. This is a free flight competition in which all types of gliders participate, such as paragliders, handgliders and gliders, from all over Europe.

The participants send their tracks in .IGC format to the web page together with an .OLD file. The .IGC file has the route embedded inside it, the organizers will use this route to score the flight. CompeGPS allows you to send the track and the .OLC file directly to the organizers web page.

To send a flight to the On Line Contest, see Send files to On Line Contest WEB.

If you want CompeGPS to be compatible with any on line competition and you want to send your tracks directly to the competition s organizers, please let us know by e-mail to support@compegps.com so we can make this possible.


3.2.8 Track animation

CompeGPS animates one or several tracks in real time. These animations can be viewed in the 2D or the 3D window. Both options work identically.

Animation with CompeGPS is managed with three buttons:

· [image] Play: animation starts.

· [image] Stop: stops animation.

· [image] Pause: Freezes the animation without stopping it.

To animate one or several tracks from their beginning, do as follows:

1. Open the track or tracks that you wish to animate.

2. Click on the play button [image] situation on the tool bar.

The animation will start from the beginning. To start an animation from a certain point, do as follows:

1. Using the right button, click on the point from where you wish the animation to start.

2. Select the Play here option from the contextual menu.

The animation will start from the selected point. Different aspects of the animation can be configured. See Configure the animation.


3.3 Track book

3.3.1 What is a track book?

3.3.2 create a track book

3.3.3 Open a Track Book

3.3.4 Open another track book

3.3.5 Save track in the logbook


3.3.1 What is a track book?

CompeGPS includes a book where you can save all your tracks.

It is a data base which allows you to orderly store tracks, retrieve the and have the most important information in view.


3.3.2 create a track book

The first time you store a track in a track book, if you have not already created a Track Book, CompeGPS will ask you if you wish to create one. In order to create a Track Book, proceed as follows:

1. Select the menu option Tracks > Track Book > Create new Track Book.

2. Give the file and name and indicate the fólder where you wish to store it.

3. Click on the button Save.

CompeGPS creates a .MDB file where all the tracks will be stored.

Important: We recommend that you store .MDB format tracks outside the CompeGPS folder. Store them in a safe folder where you are sure that they will not be erased. We make this recommendation so that the file is not eliminated by mistake if you, by mistake, eliminate the CompeGPS folder.

Note: When you upgrade to a new version, the old Track Book is NOT eliminated. You can always install a newer version of the program and the Track Book will not be eliminated.


3.3.3 Open a Track Book

To open the last Log book, carry out any of these operations:

· Click on the Open a Track Book button

· Select the menu option Tracks > track book > Open track book: xxx.MDB

When you do this, CompeGPS will re-open the last book opened or created. If you wish to open a different book, see Open another track book.


3.3.4 Open another track book

CompeGPS by default opens the last track book you had opened or created.

1. If you wish to open another book, carry out any of these operations:

· Click on the arrow beside this button [image] and select the option open another track book.

· Select the menu option Tracks > Track book > Open another Track Book.

2. Select the Track book you want and click on the button Open.


3.3.5 Save track in the logbook

1. Click with the right button of the mouse over any point of the track that you want to save in the logbook and select the option Save track on the logbook from the contextual menu.

CompeGPS will ask you if you want to save it in the logbook that indicates you.

Note: CompeGPS saves the track in the last logbook you have opened before or in the last logbook created. If you want to save the track in other logbook, cancel the operation, open the logbook where you want to save the track and repite the Save track in the logbook operation.

  2. Press YES

CompeGPS informs you that the track has been saved in the logbook.

Online contest

save a track to be sent to the On line contest


3.4 Competition online On Line Contest

3.4.1 Save a track to be sent to the On line contest

3.4.2 Send files to the web of the On Line Contest(OLC)


3.4.1 Save a track to be sent to the On line contest

CompeGPS allows you to save a track for the On Line Contest, creating a .IGC track file with an embedded route and an .OLC file.

To save a track in .OLC format, proceed as follows:

  3. Open the flight that you wish to save as a .OLC file, see Open track.

· Click on the button [image] (open track)

· Select the menu option Tracks > open track

  2. Using the right hand button of the mouse, click anywhere on the track.

The track s contextual menu will appear.

3. Select the option OLC optimize.

The Optimización OLC window has two labels, Flight and Pilot. The top part of the Flight label has two boxes that can be marked. The first box save the new track on top of the old file. Therefore, you will loose the original .TRK or .IGC file. If you activate the second box, a new file will be created as well as conserving the original track file.

4. Activate the box that you prefer.

5. Fill in the boxes regarding take-off and type of task.

6. Click on the Pilot label and fill in the boxes with the required information.

7. Save the track on your hard drive clicking on the button Save as.

When you save a track, you will first save the .igc file and then the .olc file. These are the files that have to be sent to the organizers of the On Line Contest.

8. Select the folder where you wish to save the file and click on the button Save.

In order to automatically send these files from CompeGPS see Sending a file to the OLC web.

send files to the web of the On Line Contest (OLC)


3.4.2 Send files to the web of the On Line Contest(OLC)

To send files to the organizers web, proceed as follows:

  4. Open the window OLC Optimisation and give the necessary information, see Save track for the OLC.

In the lower part of the window there is a Send button and a box beside the button.

2. Select the type of OLC from the options given in the box by clicking on it.

  3. Click on the button Send.

The Explorer window will open, connected with the internet page of the OLC you chose. Your personal data will already be filled in.

  4. Follow the instructions given by the web.


3.5 Track propierties

3.5.1 Open the Track Properties window

3.5.2 Track information

3.5.3 Colours & icons

3.5.4 Comments on the track

3.5.5 List of track points

3.5.6 Advanced


3.5.1 Open the Track Properties window

To open the Track properties window, carry out any of the following:

  5. Use the right button to click on any point of the track.

  2. Select in the contextual menu Properties of the track.

The track properties window has five labels (Data, Colours & Icons, Comments about the track, List of points and Advanced) and 6 buttons:

· Close: Click to close the window.

· Save track: Click to save changes made on the track.

· Remove a track from the screen: Click to remove the track from the screen.

· Save in track book: Click to save the active track in the track book.

· Save as: Click to save the track as a .TRK and .IGC file.

· Graphics: Click to open the graphics window.

To see the functions of each of the labels see: Data, Colours & Icons, Comments about the track, List of points, Advanced


3.5.2 Track information

Information about the track is given in the Information lable of the window called properties of the track. Only some of this information can be modified.:

· Name of the Pilot

· Name of departure

· Name of the passenger

To change any of this information, proceed as follows:

  1. Click on the box you wish to modify.

  2. Introduce the changes

  3. Click on the button Save.


3.5.3 Colours & icons

The Colours & Icons label of the track property window will allow you to change the colour of the track and the icon that appear when the track is animated:

To change the colour proceed as follows:

  3. Click on the button Change colour.

  2. Select the colour from the palet of colour.

  3. Clic on the button OK.

To change the icon of the animation proceed as follows:

  1. Clic on the button Change icon.

3. Select the icon for the track.

  3. Click on the button OK.

Note: CompeGPS stores the icons in the folder: CompeGPS / icon.


3.5.4 Comments on the track

From the label Comments on the track in the Track Properties window, you can introduce all comments you desire.

· To introduce any comment about the track you only have to click with in the area and write.

These comments are stored in the track s file.


3.5.5 List of track points

When you click on the label List of points in the properties of the track window, the list of points contained in the track will appear together with the information on each point divided into different subjects.

The label List of points has 3 buttons which allows you to:

· Eliminate a point: select one or several points and click on this button to eliminate them.

· Zoom: select one or several points and click on this button to zoom in on to them.

· Choose fields: this option allows you to choose the fields that will appear in the list of points

A new window will appear when you click on the button Choose fields. The left hand column contains the fields that can be selected to appear in the list of points and the right hand column contains the fields that are currently active.

To add fields to the list of points, proceed as follows:

  1. Select a field in the left hand column and click on the arrow pointing right

  2. Drag the chosen field from the left hand column to the right hand column.

To eliminate a field from the list of points, proceed as follows:

  1. Select a field in the right hand column and click on the arrow pointing left.

  2. Drag the chosen field from the right hand column to the left hand column.


3.5.6 Advanced

The Advanced label in the track property window has 6 buttons which allow you to carry out the following operations:

Calculate ground height for each point (cut or profile).

Click on this button to calculate the height above the ground for each point of the track. The result of this calculation appears in the graphic window in which a graph with the height of the relief is represented. Open this window clicking on the Graphics button, located at the bottom of the properties of the track window.

Moving the track.

This option allows you to move the track in any dimension, including time. To move the track, proceed as follows:

  4. Click on the button move track.

  2. Introduce the movement values that you wish to apply to the track. Use the sign for negative movement.

  3. Click on the button Accept.

Import altitudes of another track (barograph):

This advanced option allows you to convert a 2D track into a 3D track by importing altitudes from a barograph. To import altitudes from a barograph to a 2D track, proceed as follows:

  1. Download the two tracks that you wish to joint together, the GPS track and the barograph, see Download GPS track.

4. Open the GPS track, see Open track.

  3. Open the properties of the track you have downloaded and select the Advanced label.

  4. Click on the button Import altitudes of another track (barograph).

  5. Select the track (barogram) and click on the button Open.

CompeGPS will synchronize both tracks. If it cannot do so, CompeGPS will ask you if you wish to synchronize the tracks based on the supposition that the times on the barograph and the GPS tracks are identical, even if in this case the results are not optimum.

A message will appear confirming that both tracks have been synchronized. Now that the altitudes have been imported to the 2D track transforming it into a 3D track, you can now accede to the 3D options.

Note: To make sure that CompeGPS can correctly synchronize both tracks you should be sure the turn both apparatus on (GPS and barograph) a few minutes before start and turn them off a few minutes after the end of the ruote. If the synchronization has not been correct, you can move the track in time to try to achieve it manually.

Separate a single track into several tracks:

With this option you can separate the tracks which you did not separate when you downloaded the track from the GPS (if you replied no when CompeGPS asked on detecting that the file comprised several tracks).

Eliminate the stationary points at the beginning and the end of a track.

This option eliminates the stationary points at the beginning and the end of a track. This are the points stored while you are stationary on the ground

Eliminate mistaken points:

Eliminate the mistaken points in the track. The mistaken points provoke false information, such as extremely high speeds or other.


3.6 Analysing a track

3.6.1 Selecting a subtrack

3.6.2 Subtrack analysis


3.6.1 Selecting a subtrack

You can chose a certain part of a track to be analysed in several different ways, from the altitude graphic or indicating the departure and arrival point of the subtrack.

If you wish to select a subtrack from the altitude graphic:

  1. Open the track s altitude graphic.

· Click on the button [image] (graphic at the foot of the page) on the tool bar.

· Select the contextual menu option Graphics.

  2. Using the left button of the mouse, click on the point of the graph that you wish to be the start point and without letting go of the button, drag the mouse to the point that you wish to be the end of the sub track.

If you wish to select a subtrack from the track s contextual menu.

  1. Using the right button of the mouse, click on the point of the graph that you wish to be the start point.

The track s contextual menu will appear.

3. Select the submenu option Subtrack > Situate subtrack start point here.

  4. Select the submenu option Subtrack > Situate subtrack end point here.

The subtrack will be selected.

If you wish to select a subtrack by clicking on the track:

· Select the start and end points by clicking on the graph using the left button of the mouse, while you hold the SHIFT button down at the same time.


3.6.2 Subtrack analysis

CompeGPS analices a given section of the track you choose.

The subtrack análisis option informs you of statistics such as maximum and minimum speeds, horizontal and vertical speeds, height gain, flight time, length of the section, as well as other information.

You can select a section of the track for analyses in two ways: from the altitude graph or indicating the start and finish point. See Choosing a subtrack.

To analyse a track, proceed as follows:

1. Open the track altitude graph.

· Click on the button [image] (graph at the foot of the page) on the tool bar.

Select a section of the track you wish to analyse.

2. Drag the pointer over the area of the altitude map that you wish to analyse.

· Select the start and finish point of the track from the submenu option Subtrack > Locate here... of the contextual menu of the track.

  3. Click with the right button of the mouse on the altitude map.

The contextual menu will appear.

  4. Select the option: Subtrack Analysis.

A new window will appear with the results of the analysis.


3.7 Track contextual menu

3.7.1 ¿What is the track contextual menu?


3.7.1 ¿What is the track contextual menu?

The track contextual menu is the menu that appears when you click any where on the track with the right hand button of the mouse.

The following options are available for tracks, waypoints and maps from the track contextual menu:

· Create turn point here: creates a turn point where you are.

· Open best map here: opens the best map for that area.

· Track properties: opens the track properties window.

· Remove track from the screen: closes the track.

· Save track: saves the track.

· Saves track as: apart from storing the track with another name, this option allows you to choose the format in which you will store the track, .TRK o . IGC.

· Save track in track book: saves the track in the track book.

· Send track to CompeGPS Track Server: send the track to the CompeGPS Track Server.

· OLC optimisation: opens the track optimisation window for the On Line Contest.

· Sub track:

o Eliminate a point: eliminates the point of the track that you have clicked on.

o Situate start of sub track here: situates the start of a sub track for a sub track selection.

o Situate end of sub track here: situates the end of a sub track for a sub track selection.

o Analysis of the sub track: analiyses the selected sub track.

o Eliminate sub track: eliminates the selected sub track.

o Save sub track as: saves the selected sub track as an independent track.

o Sub track graphic: opens the graphic window, with only the sub track graphics.

· Colour the track: This option allows you to choose the colours for the track.

· Animate here: starts animation where you are situated.

· Graphic window: opens the track graphic window.


4 Working with maps

4.1 Definitions

4.2 PROCEDURES WITH MAPS

4.3 ADVANCED OPTIONS


4.1 Definitions

4.1.1 what is a MAP?

4.1.2 Calibration


4.1.1 what is a MAP?

Maps are key elements for CompeGPS. They allow CompeGPS to geographically and visually locate the downloaded track.

1. CHARACTERISTICS

Maps, being a graphical representation of a portion of a flat surface, present several characteristics in different formats. The main characteristics of a map are:

· COORDINATE SYSTEM:

Latitude and longitude values that indicate the relative position of a point on the earth s surface, based on the meridians and parallels.

· SCALES:

A scale is the relationship between the dimensions of the element represented on a map and is corresponding value measured on the earth s surface.

· CARTOGRAPHIC PROJECTIONS:

All maps are approximate representations of the earth s surface. They are approximate because the Earth, which is spherical, is drawn on a flat surface.

A map is made following the method of making each point of the Earth correspond to a point on the map. In order to do so, cartographic projections are used.

Several types of cartographic projects exist, depending on the zone. CompeGPS allows you to choose the most adequate projection for your non-calibrated map, for example U.T.M., Lat / Long, Mercator, France Lambert I... CompeGPS also offers the possibility of choosing an automatic projection which will use the most similar to the map that has to be calibrated.

· DATUMS:

Any line or point used as a reference to measure another quantity. Basic and reference point on a surface that will serve as origin to all the other coordinates. CompeGPS allows you to choose the adequate datum for your non-calibrated map, for example WGS 84, European 79...

2. TYPES

The maps used by CompeGPS are divided in two large groups: the raster maps and vectorial maps.

· RASTER MAPS: a raster formate can be defined as a map image that contains all the map s information. When it is digitalized (.bmp format: a bit map) the pixels represent alongside coordinates that have to be defined (calibrated). To be able to use them with CompeGPS, you will have to make sure that they are calibrated. If they are not, you will have to calibrate them; see Calibrating bitmap maps.

· VECTORIAL MAPS: these are maps with a much more precise definition of all positions, longitudes and dimensions of geographical aspects. They usually consist in a list of 2D coordinates (lines).

  4. DOWNLOAD & SCANNED MAPS

· Download from the internet: CompeGPS have direct links to download free maps. The downloaded file will be NIMA Orthomaps or Mr. SID. See Download maps from the internet.

· Scanned maps: allows you to use scanned maps, p.e. .JPG or .PNG files, amongst others. To be able to use these maps (images) they previously have to be calibrated, See Calibrating bitmap maps.


4.1.2 Calibration

All the maps used by CompeGPS have to be calibrated to match, in the best way possible, the GPS indications with the coordinates of the active map.

· Maps downloaded from internet by (Orthomap and Mr.Sid formats) are already calibrated.

· Maps scanned by you (map images) have to calibrated using the option Calibrating bitmap maps, see Calibrating bitmap maps.


4.2 PROCEDURES WITH MAPS

4.2.1 Open a MAP

4.2.2 Open index map

4.2.3 To close a certain map:

4.2.4 Map viewing options

4.2.5 Properties of the map

4.2.6 Convert a bitmap into a calibrated map

4.2.7 list of open maps

4.2.8 Download maps via internet

4.2.9 Internet map formats

4.2.10 The map’s contextual menu

4.2.11 Drawing the frames of maps


4.2.1 Open a MAP

  1. To open a map, carry out any of these two operations:

· Click on the Open Map button on the tool bar.

· Select the menu option Maps > Open map.

  2. Select the map in the window and click on the Open button.

CompeGPS offers two more options to open maps calibrated with tracks or another map, so making your search easier. See Look for a better map here and See list of maps for this point.

4.2.1.1 Look for best map here

CompeGPS offers two additional funcions to make looking for a map easier: look for best map here y See list of maps for this point, see See list of maps for this point.

To open maps calibrated with a open track or map on the screen:

  1. Open the track or map on the empty screen (for more information see Open Map or Open Track).

  2. Using the right hand button, click where you wish to open the map; on the track, on the map or on the empty screen.

  3. Clic on the option Look for best map here in the open window.

The program will automatically open the map with best resolution for the chosen point.

Note: clicking on the screen with the right hand button you will have the option to See frames of all the maps. Clicking on this option you will see on the screen the frames of all the maps you have stored in your computer.

4.2.1.2 See list of maps for this point

CompeGPS offers two more map opening functions to aid your search: See list of maps for this point and Seek best map here, see Seek best map here .

See list of maps for this point option

To open a map that is calibrated with a track or another map on the screen:

  • Open the track or map that you wish to see on the empty screen, see Open Map or Open Track .

  • Using the right hand button on the mouse, click on the point you are looking for a map; this can be done on the actual track, on the map or on the empty screen.

  • In the open window, click on the function See list of maps for this point.

The program will show you all the loaded maps for this point ordered, by default, in meters / pixels.

Note: if you click on the screen with the right button of the mouse you will have the option to See frames of all the maps . If you accept this option you will have the possibility of seeing all the frames you have loaded on the screen


4.2.2 Open index map

To aid direct access the same map, CompeGPS offers you the possibility of assigning a button to open the file directly. You can choose which map you wish to assign to this button, so you can work quicker.

To define and open an Index Map, proceed as follows:

  1. To define the Index Map click on this button [image] (open Index Map) on the tool bar.

  2. Clic on Define a new index map and choose the map from the list.

  3. Now define this map as Index Map and you will be able to open directly by clicking on the button [image] (open index map). Closing a map

There are several ways of closing an active map or maps.

To close all active maps on the screen:

  1. Select the menu option Maps.

  2. Click on Close Maps to close all the active maps on the screen.


4.2.3 To close a certain map:

You can close a certain map as follows:

· Contextual Menu, for more information see Closing a map with the contextual menu.

· List of Maps, for more information see List of active maps.

To close a map and the other active objects on the screen (other maps, tracks, routes, waypoints and landscapes):

  1. Select the menu option File.

  2. Click on Close all to close all active objects on the screen.

4.2.3.1 Close a map using the contextual menu

If you wish to close a map using the map contextual menu, proceed as follows:

  1. Using the right hand button of the mouse, click on the map you wish to close.

  2. Select the option Close Map.


4.2.4 Map viewing options

The main map viewing options are pre-established in the tool bar:

  2. Clic on the button for:

· Movement [image] : move the map over the screen.

· Window zoom [image] : open a zoom window the size you wish. You can increase or diminish the zoom using the wheel on your mouse.

· Zoom out [image] : reduce the zoom of the information shown on the screen. You can also increase or diminish the zoom using the wheel on your mouse.

· Zoom in [image] : increase the zoom of the information shown on the screen.

· See all [image] : click on this button to centre the information loaded on the screen. Clicking on the fold-down you can choose which information you wish to centre (tracks, waypoints, maps). This button is very useful when you cannot locate the information your looking for.

· Scale of the map [image] : choose the percentage of zoom.

There are other map viewing options in the menu View, see View menu.

To configure the map viewing options, see Configuring maps.

4.2.4.1 Map configuration

In order to modify the predetermined map configuration, proceed as follows:

  1. Select the menu option File > Options

  2. Go to Maps.

You will be able to modify the following map configuration options, in the window that appears:

  • Font for waypoints: to change the font.

  • U.T.M. grid: you can remove or change the distance between the U.T.M. grid and the colour of the grid.

  • Grades of the grid: you can remove or change the grades of the U.T.M. grid and the colour of the grid.

  • See frames of all maps: you can view the frames of all your available maps.

  • Draw maps in top quality: you can view the maps in top quality but movement will be slower.

  • Max number of drawn 2D maps: you can change the number of 2D maps simultaneously viewed on the screen.

  • Configure Status Bar: configure the fields in the bar. To configure the functions, see Select fields.

  3. Click on OK to save the changes or Cancel to re-establish predetermined values.


4.2.5 Properties of the map

All maps viewed with CompeGPS have the following properties (example):

How to view the properties of the map

If only one map is loaded on the screen, do one of the following operations:

· Select the menu option: Maps > Properties of the map

· Select the menu option: Maps > List of loaded maps from the window List of Maps

If more than one map is loaded on the screen, view their properties using the list of maps window:

To view the properties of the last map loaded

· Select the menu option Maps > Properties of the map.

To view the properties of any map loaded.

  1. Select the menu option Maps > List of loaded maps to open the window with the list of loaded maps.

  2. Select the map you wish.

  3. Click on the button Properties of the Map


4.2.6 Convert a bitmap into a calibrated map

CompeGPS allows you to use an image or a bitmap as a valid map. Therefore you can used both scanned maps as well as maps downloaded from the Internet, see Downloading maps from the Internet.

· Before using a bitmap with CompeGPS it has to be calibrated so that the coordinates used by CompeGPS coincide as best posible with the map on the screen.

· Calibrating a map means positioning it in the globe, situate it in the world. In order to be able to carry out this operation, you will have to be familiar with at least 2 or 3 points of the map.

To calibrate a map:

  1. Firstly, you will need the bitmap that you wish to calibrate. CompeGPS works with the following formats: JPG, PNG y BMP.

· Select the menu option Maps > Calibrate a bitmap.

A dialog window will appear:

  4. Select the map that you wish to calibrate and click on the button Open.

CompeGPS opens the file and presents it in the main window. You can zoom and scroll, etc on the map, but as it is not a calibrated map you will not be able to do anything else.

A new section has appeared in the lower section, there are three labels to be filled in with the real information about the map that you have opened.

  2. Introduce projection, datum and zone in the first label, and clic on the button Next.

Note: If you are not familiar with the map s real projection, configure this field as automatic. The program with calibrate the map with U.T.M. projection, the most appropriate since it is one of the most used projections.

  5. Clic on Next or Point 1 and fill in the points coordinates, zone and projection:

· X, Y: Click on the point (píxel) of the map that you wish to calibrate with the real coordinates.

· x, y: indicate the real coordinates of the map.

o       Using the functions displayed in the window, you can move the point, view a point, eliminate a point or use a waypoint as a calibration point.

· The projection and the zone will automatically take the information given in the first label.

We recommend that a minimum of three calibration points are given to obtain a accurate calibration.

  6. Finally, click on the button Save, to store the calibrated map in the pre-determined directory, as a .IMP file.


4.2.7 list of open maps

The list of open maps allows you to see all the maps that you have loaded on the screen and therefore obtain their names, scales, calibration priority (marked with an asterisk) and the memory in use.

You also have the possibility of opening another map, closing a certain one or seeing the properties of a chosen map.

To see the list of open maps, proceed as follows:

· Select the menu option Maps > List of open maps

The List of open maps window will appear automatically.

From this window you will be able to:

· Open a map: open another map from the map file.

· Close a map: close an open map, after having selected it from the list.

· Properties of the map: visualize the properties of the selected map.


4.2.8 Download maps via internet

CompeGPS allows you to download maps from the Internet in a public and free format so you can work with them, see Internet Map Formats to know their characteristics.

In order to download maps from the Internets, proceed as follows:

  1. Select the menu option Maps > Download map from the Internet for this area.

  2. Select one of the two map formats:

· NIMA Orthomas 10m / pixel

· NASA Color Orthomaps 30m / pixel

A window will appear informing you of the size and estimated download time.

  5. Click on OK to accept the map download.

  4. Once download has concluded, save the map clicking on the button Save.

CompeGPS stores maps in the CompeGPS\Maps directory.


4.2.9 Internet map formats

CompeGPS automatically downloads different types for freeware digital maps (NIMA orthomaps y Mr Sid). Nima Orthomaps Maps are in black and white and have a 10m / pixel resolution.

Mr. Sid digital maps have a 30m / pixel resolution and you can download them directly from CompeGPS or from the web https://zulu.ssc.nasa.gov/mrsid.


4.2.10 The map’s contextual menu

What is the map s contextual menu?

This menu appears if you have the pointer situated on any point of the map and you click on the right hand button of the mouse.

The contextual menu offers you for following possibilities:

· Create a waypoint here: creates a waypoint wherever you are on the map, see Creating waypoints with the contextual menu.

· Seek best map here: automatically searches for the map with highest definition for the chosen point, see See best map here.

· See list of maps for this point: shows all the maps you have available for the chosen point of the map, see See list of maps for this point.

· Close map: closes the map that the contextual menu refers to, see Close map using the contextual menu.

· See frames of all the maps: this option allows you to see the frames of all the maps you have available.

· NOTE: to be able to use this function, at least one object has to be open (map, track, landscape or waypoint) see See frames of all the maps.


4.2.11 Drawing the frames of maps

This option allows you the possibility of seeing, on your screen, the frames of all the maps you have loaded in you computer, thus helping you in your search.

Follow this indications:

  1. With the right hand button of the mouse click on the screen.

  2. In the window (contextual menu) select the option See frames of all maps

This will become a default function each time you use CompeGPS. To remove this function, un-select the option in the window.


4.3 ADVANCED OPTIONS

4.3.1 Revising calibration

4.3.2 Import a map

4.3.3 Joining maps


4.3.1 Revising calibration

If, when you superimpose a track, route or waypoint on a calibrated map, you observe calibration errors, the map most probably has calibration trouble.

You can solve this error using the function that revises the calibration:

  1. Open the map you wish to revise.

  2. Select the menu option Maps > Revise map calibration.

You will have to revise the projection information, the datum, the zones and coordinates.

If you do not have the projection information, establish this parameter as Automatic, this has the most adequate characteristics for almost all maps. For further information about calibration see Calibration.

4.3.1.1 Calibration

All the maps used by CompeGPS have to be calibrated to match, in the best way possible, the GPS indications with the coordinates of the active map.

  • Maps downloaded from internet by (Orthomap and Mr.Sid formats) are already calibrated.

Maps scanned by you (map images) have to calibrated using the option Calibrating bitmap maps, see Calibrating bitmap maps.


4.3.2 Import a map

This function allows you to import maps of other brands that are not sufficiently calibrated due to not having the correct information on datums and/or calibration.

If you wish to import maps and correct their errors, proceed as follows:

  1. Select the menu option Maps > Import Maps.

  2. Select the map that you wish to open in the window that appears. CompeGPS allows you to open the following formats:

· Raster maps :

o DRG with .bmp, .tif, .jpg, .tfw, .jgw extensions

o Sid with .sid extension

o ECW with .ecw extension

o APRS with .gij, .bmp, .inf extensions

· Autocad vectorial maps: .dwc, .dfx.

· ArcView vectorial maps: .e00.

  3. A new window will appear allowing you to correct the data, in which you will have to select Coordinates and Datum in order to correct the projection and/or datum.

  4. Click on OK once the correction is made and save the landscape with a new name in the file Compegps\maps

  5. Finally, the map will appear adjusted to CompeGPS.


4.3.3 Joining maps

This function allows you to join several maps into one map. CompeGPS will automatically equal the scales and the projection for the new united map.

Preparing the maps and the joining process:

  1. By default, the program will open one map at a time. So the first thing will be to change the default configuration established in File > Options > Maps, where you will have to choose the number of maps that you wish to load on the screen, see Configuring maps.

  2. Open the maps you wish to join.

  3. On the tool bar, establish a 100% map scale in order to obtain the maximum viewing quality.

  4. Select the menu option Maps > Join maps.

A window with information about the new map will appear, giving details about the pixel size, and the scale that CompeGPS will use to generate the map and the projection used.

  5. Click on Yes if you wish to continue joining the maps.

Storing the new map:

  1. Select a name for the file in the open window, we recommend that you store the map as a .ECW file, this type of file stores the drawing and the calibration in one single file.

  2. If you wish to store the new map as two independent files (drawing and calibration), store it as an image file in the window Select a name for the file, and then in the window that appears in Introduce a name for the map, store it as a .IMP file. Store both files with the same name.

Once the new map has been stored you will be able to view the final result.


5 Working with map reliefs

5.1 Definitions

5.2 Procedures with map reliefs


5.1 Definitions

5.1.1 what is a landscape?

5.1.2 3D formats


5.1.1 what is a landscape?

CompeGPS uses landscapes for 3D viewing of any map and it s mountains.

A landscape is the name given to a calibrated digital altitude map that has shaped a 2D map.

CompeGPS works with two landscape formats:

· .DEM format: a public, freeware format downloaded by the program from the internet.

· .3DR format: CompeGPS own format.

See 3D Format for further information about these formats. To see the properties of a loaded landscape, see List of Landscapes.


5.1.2 3D formats

CompeGPS works with two landscape formats:

  1. .DEM format:

· CompeGPS works with NASA altitude digital maps which can be downloaded free from the Internet: GTOPO30 is the digital elevation model of the world surface (.DEM format). It consists in a horizontal net with 1km area for each cell.

· The program offers direct functions to enable you to download the required landscape, see Downloading landscapes.

  2. .3DR format:

· This is the program s own format consisting in altitude lines of topographic maps. You can download .3DR landscapes from our website www.compegps.com.

· The user can also create his own altitude maps (in .3DR format). So you can do this, the program includes an option which follows the altitude lines of a topographic map (3D landscapes > edit landscape).


5.2 Procedures with map reliefs

5.2.1 Open relief map

5.2.2 Close relief map

5.2.3 List of active landscapes

5.2.4 Import landscapes

5.2.5 Downloading landscapes


5.2.1 Open relief map

To view in 3D you have to load a relief map that will give shape to you 2D map. To load a map relief proceed as follows:

  1. Open the desired 2D map/s and, using the zooms, chose the area that you wish to see in 3D.

  2. Open the relief map corresponding to the 2D map, carrying out either of these operations:

· Select the menu option Relief map > Open relief map.

· Click on this button [image] (open relief map) on the tool bar.

  3. Select and open the chosen map.

Note: If you do not carry out the operation Open relief map, CompeGPS automatically opens the best relief map for the cosen area. If you wish to add more, do as follows:

  1. Select the menu option Relief map > List of relief maps

  2. Inside this window, click on the button Open relief map to add another relief.

CompeGPS also offers the possibility of importing reliefs in other formats, see Import reliefs Once the corresponding 3D relief is loaded you will be able to view your map in 3D, see View in 3D.


5.2.2 Close relief map

To close all relief maps loaded onto the screen, proceed as follows:

· Select the menu option 3D Landscape> Close landscape.

To close a single relief map if several are open at the same time:

  1. Select the menu option 3D Landscapes > List of active relieves.

  2. Select the relieve that you wish to close and click on it.

  3. Click on the button Remove Landscape.

To close a relief together with all the other objects active on the screen (maps, tracks, routes, waypoints):

· Select the menu option File > Close all.


5.2.3 List of active landscapes

The landscape list allows you to know which landscapes are loaded on the screen. It allows you to open another landscape or close a certain one or obtain information on the properties of a selected landscape.

To open the List of landscapes window, proceed as follows:

· Select the menu option 3D landscapes > List of loaded landscapes

This window allows you to carry out several operations clicking on the relevant button:

· Open landscape: allows you to load or add another landscape to the screen.

· Remove landscape: allows you to select a landscape from the list and close it.

· Properties: allows you to select a landscape from the list and see it s basic properties: file format, directory, original datum and number of points.


5.2.4 Import landscapes

This function allows you to import landscapes of other makes that are not sufficiently calibrated due to not having the correct information on datums and/or calibration.

If you wish to import landscapes and correct their errors, proceed as follows:

  1. Select the menu option Landscapes > Import landscapes.

  2. Choose the landscape from the window that will appear. CompeGPS allows you to open .txt, .dtm and .fil formats (all DEM formats).

  3. A new window will appear allowing you to correct the data, in which you will have to select Coordinates and Datum in order to correct the projection and/or datum.

  4. Click on OK once the correction is made and save the landscape with a new name in the file Compegps\landscapes.

Finally, the landscape will appear adjusted to CompeGPS.


5.2.5 Downloading landscapes

To download public and free landscapes from the Internet, se their characteristics in 3D Formats, proceed as follows:

  1. Select the menu option Maps > Download map for this area from Internet

  2. Click on the option NIMA 3DMap, DEM 1Km / pixel

The download window will appear.

  3. Click on Download to start download of the landscape

The window will advise on download status.


6 WORKING WITH waypoints

6.1 Definitions

6.2 Procedures with waypoints


6.1 Definitions

6.1.1 What is a waypoint?

6.1.2 Waypoint formats

6.1.3 basic waypoint information

6.1.4 Waypoint coordinates


6.1.1 What is a waypoint?

A waypoint is a point defined by it s geographic position, it s latitude, longitude coordinates and, in most cases, by it s height, using GPS navigation instruments.

CompeGPS allows you to create waypoints, as references of a certain zone, in order to be able to create routes and competition tasks.

The programs allows you to exchange waypoints between GPS / logger and PC. The user can therefore easily and comfortably create and work with waypoints. To work with waypoints, see Working with waypoints.


6.1.2 Waypoint formats

CompeGPS allows you to work with the .WPT waypoint format. This is the universal format used, tolerated by all GPS on the market and other PC programs.

The CompeGPS user will therefore be able to open any waypoint in .WPT format that he may find on the Internet.


6.1.3 basic waypoint information

In the properties of the waypoint window (see Open properties of the waypoint) you’ll find the Information label with the following information to fill in:

  • Short name: write the name of the waypoint.

  • Description: this option allows you to describe the waypoint’s characteristics.

  • Icon: you can choose which icon you wish to use, from the list of possibilities, for it to be viewed on the map and the Garmin GPS.

  • Colour of the text: modify the colour of the waypoint’s short name.

  • Background colour or Transparent: select transparent if you do not want a background to the waypoint’s name or select a colour if you want the name to have a background colour.

  • Predetermine: click on this option if you wish your choice to become the predetermined values for new waypoints.


6.1.4 Waypoint coordinates

Amongst the properties of the waypoints (see Open properties of the waypoint), you will find the coordinates label with the following contents to be given:

  • Waypoint coordinates: x, y coordinates; Lat / Long coordinates... depending on those you use.

  • Height: you can establish the height of a waypoint.

  • Calculate: you can automatically calculate the height of the waypoint with regards to the active landscape.

  • Datum: stores the datum used for the waypoint. If you wish to modify the general datum see Configuration of coordinates.

  • Type of coordinates: allows you to see and modify the type of general coordinates.


6.2 Procedures with waypoints

6.2.1 Open the waypoint properties window

6.2.2 Waypoint Contextual window

6.2.3 aDvance properties

6.2.4 Downloading waypoints FROM the gps

6.2.5 Load a waypoint file onto the gps

6.2.6 Load a single waypoint onto the gps

6.2.7 Create a waypoint

6.2.8 Create a waypoint using the contextual menu

6.2.9 Open a waypoints file

6.2.10 Saving a waypoint file

6.2.11 Close waypoint file

6.2.12 Waypoint viewing options

6.2.13 List of open waypoints

6.2.14 Printing a waypoint list


6.2.1 Open the waypoint properties window

Open the waypoint properties window using either of the following procedures:

  • Select the option on the contextual menu Properties (see Contextual Waypoint Menu).

  • Select the waypoint from the list on with window and click on the Properties button (see open waypoint list).

In the waypoint properties window you can create or modify the following:

  • Data: see Basic Waypoint information.

  • Coordinates: see waypoint coordinates.

  • Advanced: see Advanced properties.


6.2.2 Waypoint Contextual window

What is the waypoint contextual window?

This menu appears if you have the pointer situated on a waypoint and you click on the right hand button of the mouse.

The contextual menu offers you for following possibilities:

  • Open the best map here: automatically searches for the map with highest definition.

  • Send this waypoint to the GPS: send the selected waypoint to the GPS connected to the PC. A pop-up window will give information of the transfer.

  • Properties of the waypoint: shows the properties of the selected waypoint. For further information see Opening waypoint properties.

  • Eliminate a waypoin t: eliminate the selected waypoint.


6.2.3 aDvance properties

Amongst the properties of a waypoint, see Open properties of a waypoint, you will find the Advanced label, with the following function:

  • Level of zoom: this option allows you to choose the maximum height of the zoom used to view a waypoint on the screen. For example: if you establish the level at 500 meters, the waypoint will only be visible if the scale of the map is situated between 0 and 500 meters.

This option allows you to create a view level between waypoints; on viewing a large area of a map, together with it’s waypoints, this option will determine which waypoints will be visible at which scale therefore avoiding too much text on the screen.


6.2.4 Downloading waypoints FROM the gps

To download waypoints from your GPS to a PC, proceed as follows:

  1. Prepare your GPS or logger for download, see Configure GPS, connect it to the PC using the interface and turn it on.

  2. Select the menu option Communications > Download waypoints from GPS.

A window will automatically appear showing the development of the download.

Once the waypoints have been downloaded, they will be shown on the PC screen.

If you have problems when downloading you may possibly have to configure the ports and the communication protocoles of your PC, see Communication configuration.

For more detailed information about waypoints, see Working with waypoints.


6.2.5 Load a waypoint file onto the gps

To load a waypoint file onto the GPS, proceed as follows:

  2. Connect the GPS to the PC using the interface and turn it on.

  2. Open the waypoints file that you wish to load onto the GPS, see Open a Waypoints File.

CompeGPS will show the waypoints on the screen.

  3. Select the menu option Communications > Send Waypoints to the GPS.

CompeGPS will show a window informing of the development of the loading procedure.

If you have problems on loading the waypoints, you may have to configure your PC ports and the communication protocol, see Communication Configuration.

To load an individual waypoint, see Load a single waypoint onto the GPS.


6.2.6 Load a single waypoint onto the gps

If you wish to load a single waypoint onto the GPS, proceed as follows:

  1. Open the desired waypoint, see Opening waypoints.

  2. With the right hand button, click on the waypoint. The contextual waypoint menu will appear.

  3. Clic on the function Send this waypoint to the GPS.

CompeGPS will show a window informing of the development of the loading procedure.

To load several waypoints, see Loading waypoints onto the GPS.


6.2.7 Create a waypoint

In order to create a waypoint, proceed as follows:

  1. Open the waypoint properties window:

· Select the menu option Waypoints > New waypoint.

· Using the right hand button of the mouse, click where ever you with to create a waypoint and choose the option Create waypoint here from the contextual menu, see Create waypoint using the contextual menu.

Note: If you create a waypoint using the contextual menu, you will not have to give the coordinates.

The window of the properties of the new waypoint will appear with three labels: information, coordinates y advanced.

  2. Click on Information to give the waypoint a name, see Basic waypoint information.

  3. Click on Coordinates and introduce the coordinates of the new waypoint, see Waypoint coordinates.

  4. Click on Advanced if you wish to choose the waypoint s zoom level, see Advanced properties.

  5. Click on OK.

The new icon will appear on the screen with the icon, name and colour that you choose in the label Information.

You can change the type fo coordinates in the unfoldable window Type of coordinates.

For further information about waypoints see chapter 6. Working with waypoints.


6.2.8 Create a waypoint using the contextual menu

In order to create a waypoint using the contextual menu, proceed as follows:

  1. Using the right hand button of the mouse, click where you wish to create a waypoint and, in the contextual menu, choose the option Create waypoint here.

The properties of the waypoint dialog will appear, with three labels: information, coordinates y advanced.

  2. Click on the Information label and write the name of the waypoint. You can also add a description, an icon and modify the colour of the new waypoint, see Basic information of the waypoint.

  3. The Coordinates label allows you to see the coordinates that have been predetermined by the program, see Coordinates of the waypoint.

  4. Click on Advanced if you wish to choose the waypoint’s zoom level, see Advanced properties of waypoints.

  5. Click on the button OK.

The new waypoint will appear on the screen. For further detailed information about waypoints, see Working with waypoints , and to create a waypoint when a map is not active, see Create waypoint .

Note: Any type of object (map, track, landscape or waypoint) has to be active so that CompeGPS can locate a new waypoint. If not, the coordinates boxes will be left blank.


6.2.9 Open a waypoints file

  1. To open a waypoints file, carry out any of the following operations:

· Click on the Open Waypoint [image] button.

· Select the menu option Waypoints > Open waypoints file.

  2. Choose the waypoints file you wish to open.

  3. Click on the open button.

For detailed information about waypoints, see chapter 6. Working with waypoints.


6.2.10 Saving a waypoint file

Once you have created, downloaded or modified a waypoint, you must save the modifications. To save a waypoint file, proceed as follows:

· Select the menu option Waypoint > Save waypoint

· Select the menu option Waypoint > Save waypoint as. This option is different from the previous option because it allows you to save the waypoint with a new name so you do not remove the original waypoint file.

You can also save a waypoint file from the List of waypoint window.


6.2.11 Close waypoint file

To close an active waypoint file, proceed as follows:

· Select the menu option Waypoints > Close Waypoints.


6.2.12 Waypoint viewing options

This programs offers you several ways of viewing waypoints:

· To look at the landscape from a certain waypoint, see Views from the 3D window.

· You can choose the zoom level of a waypoint from the contextual menu of that waypoint, see Waypoint Properties.

· You can locate a waypoint that has been loaded on a map from the window List of waypoints, see List of waypoints.


6.2.13 List of open waypoints

To reach the list of waypoints loaded into the program, proceed as follows:

· Click on the button [image] (list of waypoints) on the tool bar.

· Select the menu option Waypoints > List of Waypoints.

The window will advise you of icon, name, description and allows you to carry out a series of functions:

· New: allows you to add a new waypoint to the file, see Create a waypoint.

· Edit: allows you to see and modify the waypoint information.

· Eliminate: allows you to eliminate a waypoint.

· Print: allows you to print the waypoint list. The printed page will list the coordinates of each waypoint, see Print the waypoint list.

· Zoom here: clicking on this function, the screen will sep and view the choosen waypoint.

Finally you can also save the files in .WPT format.


6.2.14 Printing a waypoint list

Once you have loaded the waypoint file you can print the information.

To print a waypoint list, proceed as follows:

· Select the menu option Waypoints > Print waypoint list.

· Open the window Waypoint list, see List of waypoints, and click on Print.

The printed page will give the following information:

· Datum.

· Short name of the waypoint.

· Coordinates.

· Description.


7 Working with routes

7.1 Definitions

7.2 Procedures with routes

7.3 Route properties


7.1 Definitions

7.1.1 what is a route?

7.1.2 Route formats


7.1.1 what is a route?

A route is a series of waypoints organized in a predetermined way. It is a navigation method which allows you to plan your course from one place to the next, passing several waypoints. Routes are used when you cannot reach your destination in a straight line.

CompeGPS allows you to create routes in your computer and then load them in the GPS, likewise you can also download routes from the GPS to the computer to be able to make any changes you wish.


7.1.2 Route formats

The routes generated by CompeGPS are saved in a .rte file, where all the waypoints of the route are stored in their correct order.

CompeGPS can open other route formats: the Ozi Explorer and the OLC routes. The OLC routes are created with the track is optimised for On Line to which the optimum route is added.


7.2 Procedures with routes

7.2.1 To open a route

7.2.2 List of open routes

7.2.3 Creating a route

7.2.4 Sending a route to the gps

7.2.5 Downloading routes from the gps


7.2.1 To open a route

  2. To open an route that has already been created, proceed as follows:

· Select the menu option Routes > Open route.

· Select the desired folder and the .RTE file.

The route appears on screen.


7.2.2 List of open routes

CompeGPS has a window which shows all the open routes, in the same way as the tracks, waypoints, landscapes and maps. From this window you can carry out different operations affecting routes and their waypoints.

To open the window with the list of routes, proceed as follows:

  1. Select the menu option Routes > List of routes.

On the right hand side of the window that will appear there are a series of buttons that will allow you to can carry out different operations:

· Create a route: opens an empty properties of the route window, allowing you to create a new route.

· Modify a route: opens the properties of the route window corresponding to the selected route.

· Send route to a GPS: sends the selected route to the GPS.

· Remove route: closes the selected route.

· Save: saves the selected route.

· Save as: allows you to save the selected route with a different name.

· Graphics: opens the graphics window of the selected route.

· Open route file: opens the route file.

· Download routes from the GPS: downloads routes from the GPS.

· Zoom here: zooms into the selected route.

· Activate route: activates the selected route.


7.2.3 Creating a route

A route can be created in two different ways: numerically and graphically.

In order to create a new route by introducing the waypoints numerically, proceed as follows:

  1. Open the route edition window:

· Select the menu option Routes > Create new route.

· Click on the button Create new route, see List of routes.

Different operations can be carried out using the buttons that appear in the next window.

  2. Introduce the waypoints that you wish to include in the route, in the same order that you wish to fly them..

· Click on the button Add waypoint to the list. This button allows you to include a waypoint that is already stored in a waypoint file.

· Click on the button Add a new waypoint. This button allows you to create a new waypoint, introducing it s coordinates.

  3. Save the route:

· Click on the button Save or Save as.

A window will appear for you to store the route.

  4. Give the file a name and click on the button Save..

In order to create a new route graphically, proceed as follows:

  1. Open the route edition window:

· Select the menu option Route > Create new route.

The properties of the route window will appear in the lower section of the screen.

  2. Click on the part of the map where you wish to start the route.

  3. Holding down the Ctrl key, click on the waypoints that you wish to create.

Note: If you click near to a waypoint that is already open, this waypoint will be selected. Click on it if you wish to include it in the route. CompeGPS will automatically create a waypoint if it is not already open, giving it a name that can be modified later on.

  4. Save the route clicking on the button Save.

If you wish to you can make any amount of changes to the route, see Modify route.


7.2.4 Sending a route to the gps

To send a route to the GPS, proceed as follows:

  2. Open the route that you wish to send to the GPS.

  2. Prepare your GPS to load the information, see Configuring the GPS.

  3. Send the route to the GPS:

· Select the menu option Communications > Send the route to the GPS.

· Click on the button Send track to the GPS in the List of routes window, see List of routes.

The route will start to be loaded in the GPS.


7.2.5 Downloading routes from the gps

To download a route from your GPS, proceed as follows:

  3. Prepare your GPS for download, see Configurating your GPS for Download.

  2. Using the interface, connect the GPS to your PC.

  3. Select the menu option Communications > Download routes from the GPS

A new window will appear with the download information. Once download has finished the route or routes will appear on the PC screen.


7.3 Route properties

7.3.1 Properties of a route

7.3.2 Modifying a waypoint in a route

7.3.3 Changing the order waypoints are stored in a route

7.3.4 Including a waypoint in a list into a route

7.3.5 Including a new waypoint in a list

7.3.6 Remove a waypoint from the route

7.3.7 Saving a route

7.3.8 Save a route as

7.3.9 Change the colour of a route

7.3.10 The route contextual menu


7.3.1 Properties of a route

The window for properties of a route is the same as the route edition window. The left hand side of this window is divided in two columns. The left hand column contains all the waypoints that configure the route. The right hand column shows the distance between the one waypoint and the next. The name of the route and the total distance appears at the foot of these columns.

All type of modifications to a route can be made from this window: Change the order of the waypoints, Modify the route s waypoints, Insert waypoints from a list to the route, Insert a new waypoint to the route, Eliminate a waypoint from the route, Change the colour of the route, Save the route, Save as.

To open the window properties of the route, proceed as follows:

· Using the right hand button of the mouse, click on any point of the route and select the contextual menu option Properties of the route.

· Click on the button Modify route in the window of the list of routes.


7.3.2 Modifying a waypoint in a route

In order to modify any information related to a waypoint, proceed as follows:

  1. In the properties of the route window, click on the waypoint you wish to modify.

  2. Click on the button Modify waypoint.

The properties of the waypoint window will open so you can make all the changes you wish.

  3. To make these changes, click on the relevant label.

  4. Once you have finished making the changes, click on the button OK.


7.3.3 Changing the order waypoints are stored in a route

To change the order the waypoints are stored in a route, proceed as follows:

  1. Select the waypoint you wish to change place by clicking on it in the properties of the route window.

  2. Move the waypoint with the up and down arrows until you move it to where you want.


7.3.4 Including a waypoint in a list into a route

You can include a waypoint stored in a waypoint list into a route even if the route has already been created.

To include a waypoint stored in a waypoint list, proceed as follows:

  1. Open the waypoint file where the waypoint is stored, see Opening a waypoint file.

  2. Click on the button Include waypoint from the list in the properties of the route window, see Opening the properties of the route window.

  3. Select the waypoint that you wish to use.

  4. Click on the button OK.

  5. Modify the position of the waypoint by clicking on the up or down button until it is in it s place.


7.3.5 Including a new waypoint in a list

To include a new waypoint in a route, proceed as follows:

  1. Click on the button Open new waypoint in the properties of the route window.

  2. Fill in the information about the new waypoint in the window that will appear.

  3. Click on the button OK.

  4. Once the new waypoint has been created, you can modify it s position by clicking on the arrows up and down until you place it where you want.


7.3.6 Remove a waypoint from the route

To remove a waypoint from the route, proceed as follows:

  1. Select the waypoint that you wish to remove, clicking on it in the window with the route properties.

  2. Clic on the button Eliminate waypoint.


7.3.7 Saving a route

Whenever you create a route or modify an existing route, you must save the changes not to loose them. To save a route, proceed as follows:

  1. Click on the button Save in the window called Properties of the route.

  2. Select the folder that you wish to save the route in and give the route a name.

  3. Click on the button Save.


7.3.8 Save a route as

This procedure is the same as the previous procedure Save with the difference that it allows you to save the route with a different name without erasing the original file. To Save as , proceed as follows:

  1. Click on the button Save As in the window called properties of the route.

  2. Select the folder where you wish to save the file and give the file a name.

  3. Click on the button Save.


7.3.9 Change the colour of a route

To change the colour shown on the screen for a route, proceed as follows:

  1. Click on the button Colour in the Route in the Route Properties window.

  2. Select the colour from the list.

The colour of the route will change to the chosen colour.


7.3.10 The route contextual menu

What is the route s contextual menu?

This menu appears if you have the pointer situated on any point of the route and you click on the right hand button of the mouse.

The contextual menu offers you for following possibilities:

· Create a turnpoint here: creates a turnpoint wherever the pointer is.

· Search best map here: opens the map with best resolución for this area.

· Properties of the route: opens the properties of the route window.

· Save route: saves the route.

· Send route to the GPS: sends the route to the GPS.

· Remove route: closes the route.

· Reverse the route: reverses the order of the route s waypoints.

· Graphics: opens the graphics window.

· Create a task from this route: transforms the route into a competition task.


8 Profiles: Linking objects

8.1 Definitions

8.2 Procedures with profiles


8.1 Definitions

8.1.1 What is a profile?


8.1.1 What is a profile?

A profile is a file where you can store different objects such as maps, tracks, 3D landscapes, waypoints and routes.

All these objects are stored in one .CJT file, unique to CompeGPS.

These CompeGPS function is very useful when you frequently open maps, tracks, 3D landscapes, waypoints and routes. In this way you will no longer have to open them one by one.


8.2 Procedures with profiles

8.2.1 Open a profile

8.2.2 Saving a profile


8.2.1 Open a profile

To open a profile, proceed as follows:

  1. Select the menu option Profiles > Open profile.

  2. Select a .CJT file and clic on the Open button.


8.2.2 Saving a profile

To create a profile, proceed as follows:

  2. Open all the objects that you wish to save as a profile (maps, tracks, 3D landscapes, waypoints and routes).

  2. Select the menu option Profiles > Save profile.

  3. Give your file a name and select the folder where you wish to save the new file.

  4. Click on the button Save.


9 CompeGPS Track server

9.1 Definitions

9.2 CompeGPS Track server procedures


9.1 Definitions

9.1.1 What is the CompeGPS track server?


9.1.1 What is the CompeGPS track server?

The CompeGPS track Server is a server where you can find tracks of many other zones in the world. The tracks have been recorded practicing different types of sports and all of them have been sent by CompeGPS users.

Use of this server is free and the objective of Track Server is to put all types of tracks at everyone s disposal.

Using CompeGPS you can download any track at all from the Server and also send your own tracks to make them available to anyone anywhere.

The tracks are stored in different books, according to the country they belong to, and inside each country folder they are divided depending on the sport practiced.

You naturally have to be connected to the internet in order to be able to contact the Server to up or download files.


9.2 CompeGPS Track server procedures

9.2.1 Dowload a track from the CompeGPS Track Server

9.2.2 Sending a track to the CompeGPS track server


9.2.1 Dowload a track from the CompeGPS Track Server

With CompeGPS you can dowload tracks from anywhere in the world from the CompeGPS Track Server.

In order to download any track from the CompeGPS Track Server proceed as follows:

  1. Open the CompeGPS Track Server:

· Click on the button

· Select the menu option Tracks > open CompeGPS Track Server.

A window will appear informing that there are several track books available.

The CompeGPS server has several books open with all available tracks. The books are classified according to the country and the sport practiced. The list will increase as you send in your tracks.

  2. Click on the button Download index.

A new window will appear giving the track book index organized as a tree. The main folders correspond to the countries and inside each country you will find the different books depending on the sport practiced when recording the track.

  3. Select the track book that you are interested in and click on the button Download book.

CompeGPS will open the track book in the main screen as if it was a normal track book.

In the top right hand part of the book you will find the option See all the tracks. If the box is ticked, all the tracks in the book will appear in a graphic format in which only the beginning and the end of the track appear.

· Beginning of the track: red circle with black centre.

· End of the track: red circle with white centre.

  4. Open the track that you are interested in:

· Double click on the line of the track that you are interested in downloading.

· Using the right hand button of the mouse, click anywhere on the line that represents the track on the screen and select the option Open Track from the contextual menu.

A new window will appear advising of download and when download has finished the track will appear on the screen. In order to close the track book, click on the cross at the top right hand corner of the track book.

Notes: when you download a track from the Track Server, CompeGPS does not store them on your hard drive. If you are interested in keeping the track you will have to save it manually.

You have to be connected to the Internet to be able to send tracks to the Track Server.


9.2.2 Sending a track to the CompeGPS track server

To send a track to the CompeGPS Track Server proceed as follows:

  1. Open the track that you wish to send to the Track Server, see Open track.

  2. With the right hand button of the mouse, click on any point of the track and select the contextual menu Send this track to the CompeGPS Sever, see Contextual Menu of the track.

  3. Fill in the form in the new window.

  4. Click on the button Send.

CompeGPS will automatically send the track to the CompeGPS Track Server and it will be available for download by any CompeGPS user.

Note: You have to be connected to Internet to be able to send tracks to the Track Server.


10 Visualisation options

10.1 View menu

10.2 3D window

10.3 3D Performance


10.1 View menu

The view menu contains the following viewing options:

In the See main menu:

· Zoom in: allows you to zoom in to increase the viewing area. Using the wheel on the mouse you can increase or reduce the zoom.

· Zoom out: allows you to zoom out to reduce the information viewed on the screen.

· Measure distance: first clic on the origin and then the end point in order to calculate the lineal distance between them. CompeGPS will give the coordinates for both points, the lineal distance and the true demora.

· 3D viewer: enters the 3D viewer, see 3D viewer for further information.

· Turn map: allows you to introduce a turn angle to the map.

Tool bar:

· Movement [image] : clicking on this button you can move through the viewer.

· Zoom window [image] : allows you to open a zoom window with the distance you wish.

· Zoom out [image] : the same option as the See menu.

· See all [image] : clicking on this button, all the objects will be centered on the screen. Clicking on the lateral extension you will be able to decide which objects you wish to center (tracks, waypoints, maps). This is a very useful function if you cannot locate a certain object.

· Scale map [image] : allows you to choose the increase or reduction in a percentage value.

· 3D viewer [image] : the same option as the See menu.

· Measure distance [image] : the same option as the See menu.

· See graph at foot of page [image] : views the track s graph window.


10.23D window

10.2 3D window

10.2.1 Opening 3d visualization window

10.2.2 3D control and movement

10.2.3 3d views

10.2.4 Exagerated heights in the 3d window

10.2.5 Zoom in the 3D window

10.2.6 Centering the object in the 3D window

10.2.7 Shadows

10.2.8 3d animation

10.2.9 3d viewing options

10.2.103d configuration options


10.2.1 Opening 3d visualization window

CompeGPS allows you to view mountains and tracks in 3D in the tri-dimensional viewing window.

You have to take into account that there are tracks in 2 and 3D. Some GPS do not register the height of the points. These 2D tracks can also bee viewed in the 3D window but they will appear flat, stuck to the landscape. For more detailed information about tracks see Chapter 3. Working with tracks.

To be able to see mountains in 3D you will first need a landscape, see Open a landscape. If you do not do this the map will appear flat in the 3D window.

To open the tri-dimensional visualization window, proceed as follows:

· Select the menu option View > 3D viewer.

· Click on the [image] (3D viewer) button on the tool bar.


10.2.2 3D control and movement

Move freely within a 3D profile using the mouse and the tool bar:

  1. Mouse:

· Right button: holding the right button down and moving the mouse, you will be able to circle around a fixed point, producing a cabeceo and aladeo effect.

· Left button: holding the left button down and moving the mouse, you can move horizontally and vertically.

· Wheel: if your mouse has a wheel, you will be able to move backwards and forwards in the 3D profile.

Situtate position of view point, see 3D viewing, both buttons with do the same movement: circle around a fixed point.

  2. Tool bar:

· Zooms: the buttons [image] and [image] will allow you to move nearer or further from the 3D image. This is the same as the movement of the mouse wheel.

· Forwards and Backwards: the buttons [image] will allow you to move forwards or backwards if you are viewing from a specific view point.

· Turn Left and Turn Right: the buttons [image] will allow you to move left or right from the cosen point.


10.2.3 3d views

In the 3D window you can view a profile in several ways:

  2. Default 3D views [image] : allows you to center the profile on the screen.

  2. Situate a view point [image] : this option gives you the possibility of choosing between the following view points from where you can view the profile in different ways:

· Place view point in the center of the map.

· Enter the coordinates of the view point: write down the coordinates in the window that appears.

· Situate the view point in a waypoint: chose the waypoint from the list of waypoints

· Situate the view point in the actual point you are on in the "moving map": view the profile from where you are currently situated, with the moving map activated.

  3. Stereoscopic view "crossing your eyes " [image] : this function allows you to view the profile in 3D as if you were crossing your eyes to see a double image. The double image will joint together creating a 3D view. Keep the two images of the profile with a minimum separation between them.

  4. Textures: establishes different textures to view:

· Map.

· Iposometric surface: degraded colour according to the landscape height.

· Flat surface: flat white texture.

· Wires.

See 3D Options to modify the size of the textures.

  5. Save image [image] : save the present image of the 3D profile in a file with .bmp, .jpg, .png or .ecw format.


10.2.4 Exagerated heights in the 3d window

If the landscapes or the tracks are quite flat, you can exaggerate the real height of the object in order to aid visualization. To do this, proceed as follows:

· Move the side bar located on the right hand part of the 3D view window. Move it up to increase the exaggeration and move it down to reduce the exaggeration. A number indicating the times the real height is exaggerated will appear below the bar.

· Change the exaggeration values in the 3D configuration options, see 3D configuration options.


10.2.5 Zoom in the 3D window

To zoom in on the image, proceed as follows:

· Click on the button [image] to increase zoom.

· Click on the button [image] to decrease zoom.

· If your mouse has a wheel, you can also use it to zoom. Turn the wheel forwards to zoom out (decrease) and turn the wheel backwards to zoom in (increase).


10.2.6 Centering the object in the 3D window

If you have moved the objects a lot in the 3D window and you do not know your position, you can centre the image on the screen. To do so, proceed as follows:

· Click on the button [image] of the tool bar.


10.2.7 Shadows

Apply shadows and light to the 3D profile carrying our the following operations:

  1. Activate shadows [image] : clicking on this button you will be able to control the light. You can establish what type of modifications you want from the light control window:

· Do not use light: deactivates any light-source and the shadows.

· Light from the view point: the source of light flows from where you view the profile.

· Sunlight: true sunlight. This is very useful to determine which are the sunny slopes of the mountains.

· Angle bar: manually modify the horizontal and vertical light angles.

· Environmental lighting: manually change the environmental lighting to distribute the light all over the profile.

· Maximum direct light: manually change the intensity of the light.

· Use soft shadows: use this option if you wish to soften the shadows.

  2. Paint virtual shadows [image] : clicking on this option, the track will cast a shadow on the landscape.


10.2.8 3d animation

CompeGPS can animate one or several tracks at the same time, at real time speed or an accelerated speed. You can view the animations on the 2D or the 3D window in the same way.

To configure the animation parameters see Configuration of Animation Parameters .

CompeGPS allows for several 3D animation options:

  • Track animation: With the Play, Pause and Stop buttons, animate the track/s loaded on your PC with the view point on the centre of the screen.

* Play: Starts the animation.

* Stop: Stops the animation.

* Pause: Freezes the animation without stopping it.

  • Play 3D: from the pilots point of view [image] : this option allows you to view the animation from the pilots view point. If several tracks are active, click on the pull down and choose the track you wish to use as the view point.

  • Turn continuously [image] : the 3D set will turn non stop around the same axis.


10.2.9 3d viewing options

Once inside the 3D viewer, see 3D viewing for the procedure, CompeGPS allows you to carry out the following operations:

  • Control and movement: freely move around inside the 3D profile, see 3D control and movement for detailed information.

  • Views: create different textures for the landscapes, view from different view points and view with stereoscopic vision, see 3D viewing for further information.

  • Height exaggeration: increase or diminish the real height of the landscape using the side bar. 1x is the real height, 2x is double the height…. This function is recommended if the profile has few mountains and is quite flat, using this function you can improve 3D viewing. You can also carry out this function from 3D Options.

  • Zoom: zoom in on what you like using the buttons [image] y [image] ,, or using the wheel on the mouse, if it has one.

  • Centre [image] : centre the 3D profile using the button 3D default view.

  • Shadows: create shadows for the track and change the sun or artificial light, see Shadows for detailed information.

  • Animation: animate the 3D track, see 3D animation for detailed information.

  • 3D options [image] : modify default 3D values such as the width of a track, the max number of polygons, backgrounds…, see 3D configuration options for detailed information.


10.2.10 3d configuration options

Click on the button [image] of the 3D Beijing window to be able to modify the predetermined 3D options:

· Altitudes:

o Exagerating altitude: this is the same as the bar for exagerating altitude.

o Altitude above sea level of the base plate.

· Image background:

o Blue background is the default value..

o Degraded colour: you can choose the top and lower colour and preview the result in the sample window.

o Import a background image: you can choose the image you wish and preview the result in the sample window.

· Other information:

o Width of the tracks: enter a value depending if you want a thicker or thinner line.

o Size of the texture: choose the size of the texture.

o Maximum number of poligons: increase the landscape s poligons to obtain a heigher resolution. When you increase the number of polygons the 3D profile will be larger and movement will become more difficult.

o Render: this is the same function as the texture bar.

o Information window: will inform the time of tiempo de pintado, the number of poligons and the colour bits.


10.33D Performance

10.3 3D Performance

10.3.1 Intro

10.3.2 Textures and video Memory

10.3.3 Mip maps

10.3.4 CompeGPS 2004 3D Engine

10.3.5 Regeneration


10.3.1 Intro

The 3D Textures options have changed since version 5.61. Now there is an information box where you can see the memory status. Continue reading for more information about 3D performance and to take the most of the 3D view in accordance to your PC features.


10.3.2 Textures and video Memory

The 3D view performance can change a lot, depending on your PC configuration.

The first thing you must know is that the modern video cards store the textures in their own memory. (Textures are the bitmaps images shown in 3D, like maps, sky, etc). Video cards normally have 32Mb, 64Mb, or 128Mb.

If you configure CompeGPS to use a lot of textures, or very big textures, then these textures will not fit in the video card memory, so they will be stored in the conventional PC memory. If this happens, then the 3D performance will decrease.

10.3.2.1 Size textures

This is the size of the textures:

 | No MipMaps |  | Using MipMaps
 | 16bits | 32bits | 16bits | 32 bits
256x256 | 0.12 Mb | 0.25 Mb | 0.16 Mb | 0.33 Mb
512x512 | 0.5 Mb | 1 Mb | 0.66 Mb | 1.3 Mb
1024x1024 | 2 Mb | 4 Mb | 2.6 Mb | 5.3 Mb
2048x2048 | 4 Mb | 8 Mb | 5.4 Mb | 10.6 Mb

If you select the ‘Use MipMaps’ option, the textures will need about 33% more of memory.

10.3.2.2 We recommend

So we recommend using textures with a size of 1024, and having your graphic card configured with 16 bits of colour. Each texture will use then 2 Mb.


10.3.3 Mip maps

Mipmaps are textures with different quality level on them. A mipmapped texture of 1024x1024 is really a texture made by several textures: 1024x1024, 512x512, 256x256, 128x128, 64x64, 32x32, 16x16, 8x8, 4x4, 2x2. If the texture is drawn far away, then the 3D system will use a low texture quality, maybe the 16x16 texture.

The effect of this is that the blinking of the far away texture disappears. Mipmaps are also drawn faster, but they need more memory!


10.3.4 CompeGPS 2004 3D Engine

This new 3D engine can work with several textures and landscape qualities at the same time, so the terrain which is near is drawn with much more quality than the far away terrain.

10.3.4.1 Standard

The STANDARD mode generates 4 textures, and each texture is 3 times better than the previous one. This is the system used in CompeGPS version 5.4 and 5.5.

10.3.4.2 Simple

The SIMPLE mode only generates 1 texture, so it is recommended to use with powerless computers. You can try this mode with 100.000; it works quite well in a normal PC! (We made tests up to 10 millions of polygons: It works ok, but slow!)

10.3.4.3 Advanced

The ADVANCED mode, let’s you configure all the 3D options. This is the definition of all its variables:

resdemx=90

resdemy=90

exponent=3

num_polygons=5329// (73x 73)

num_layers=4

num_layers_subdem=1

This image shows some of these parameters:

“Exponent” is the size relation between one layer and the next one. In this example, it is 3.

num_polygons The total numer of polygons by layer.

num_layers The number of layers

num_layers_subdem Extra layer which will not have a better DEM precission, but have a beter texture. The subdem layer only has texture, but not polygons. This is useful if you load a good 2D map, with a bad 3D map.


10.3.5 Regeneration

When you are looking a 3D image, and you go out of the best precision sector, you can:

1. Press the Regeneration button ‘ [image] ’. This button moves some layers, so they are centred again in your position.

2. Press the Automatic regeneration button, ‘ [image] ’. When this button is pressed, then CompeGPS will continuously be regenerating, so the best quality area is always visible.

CompeGPS uses a separate process to make the automatic regeneration, so while it is regenerating, you can still navigate through the 3D view. In a normal Pentium PC, when it is regenerating, you will feel that the 3D is a bit slower. Some new Pentium IV, are real-multithreading: This mean they can really run two programs at the same time. If you have this type of processors, then the 3D view will not be slowed by the regenerating process!


11 Configurating your GPS for data transmision

11.1 Configurating the Garmin GPS for download

11.2 Configurating a MLR GPS for download

11.3 Configurating a Renschler GPs for download

11.4 Configuring a Brauniger Galileo for download

11.5 Configuring a Top Navigator for download


11.1 Configurating the Garmin GPS for download

To be able to download information from the Garmin GPS, first make sure that:

· The GPS is turned on.

· The communication protocol programmed on the GPS is Garmin / Garmin

· Correctly connect the GPS to you PC, using the cable supplied by the GPS manufacturer.

To correct any of these steps, pls consult the manual supplied by the GPS manufacturer.


11.2 Configurating a MLR GPS for download

To be able to download inforamtion from a MLR GPS, make sure that:

· The GPS is turned on.

· The GPS communication port Active.

· Correctly connect the GPS to your PC using the cable supplied by the manufacturer.

Para corregir alguno de estos puntos en su GPS consulte el manual de usuario del GPS.


11.3 Configurating a Renschler GPs for download

To be able to download informatin from a vario-logger Renschler proceed as follows:

  1. Select the track that you wish to download:

· Make quick clicks on the key MEMO / MARK until you find the track that you wish to download.

· Make a long click on the key MEMO / MARK until the word DOWN appears on the lower display screen.

To correct any of these steps, pls consult the manual supplied by the GPS manufacturer.


11.4 Configuring a Brauniger Galileo for download

In order to be able to download information from a Brauniger Galileo proceed as follows:

  1. Turn the Galileo on.

  2. Correctly connect the equipment to the PC, using the cable supplied by the manufacturer.

It is important that you first turn the Galileo on and that you then connect it. It is not possible to connect the cable if the Galileo is not turned on.

  3. Enter the menu of the flight records and select the flight that you wish to download.

  4. Download the track to CompeGPS following the instruction of Download track.


11.5 Configuring a Top Navigator for download

In order to be able to download a track from a Top Navigator the CompeGPS communication protocol has to be established manually (see communication configuration). This is because the protocols of this equipment are not automatically detected. The Top Navigator has two communication protocols: PWC and TNCOM.

In order to download a track from a Top Navigator, proceed as follows:

  1. Connect the Top Navigator to the PC using the cable supplied by the equipment s manufacturer. Turn the equipment on.

  2. Enter in flight diary, select the flight you wish to download and clic on the button ON / OFF.

  3. Once you have selected the flight, go to the menu FLIGHT > TNCOM > PWC click on the button ON / OFF.

Important: select the CompeGPS option Download track BEFORE the next step. If you do not do so, the program will not be able to download the track, see Download a track.

  4. Select the Top Navigator protocol that you wish to use to down the track TNCOM o PWC.

Down load will then start. If you have any problem configuring the Top Navigator, check with the Top Navigator s users manual.


Printed Documentation

1 Starting to use CompeGPS_ 6

1.1 Installing CompeGPS_ 6

1.1.1 System requirements_ 6

1.1.2 CompeGPS CD-ROM installation_ 6

1.1.3 Installing Internet downloaded version_ 7

1.1.4 Starting up CompeGPS_ 7

1.1.5 Uninstall CompeGPS_ 8

1.2 Registering_ 8

1.2.1 Introducing the code with the CD version_ 8

1.2.2 Introducing the definitive registration code_ 9

1.3 Basic configuration to start using CompeGPS_ 9

1.3.1 Measurement units_ 9

1.3.2 Objects folder 10

1.3.3 Protocoles and communication ports_ 10

1.4 Basic functions to start using CompeGPS_ 10

1.4.1 Download a track from the GPS_ 11

1.4.2 Opening a Track_ 11

1.4.3 Open a map_ 11

1.4.4 Open a waypoints file_ 12

1.4.5 viewing in 3d_ 12

1.4.6 Create a waypoint 12

1.4.7 Creating a route_ 13

1.4.8 Load a waypoint file into the GPS_ 13

1.4.9 load a route on the GPS_ 14

1.4.10 Creating a trial profile_ 14

1.5 advanced configuration_ 14

1.5.1 Maximum number of maps open_ 15

1.5.2 Coordinates systems_ 15

1.5.3 Default Values_ 15

1.5.4 Track formats_ 16

2 General Options_ 17

2.1 File Options_ 17

2.1.1 Save All 17

2.1.2 Close All 17

2.1.3 Printing_ 17

2.1.4 Save as a WEB page_ 17

2.2 CONFIGURATION PROCEDURES_ 17

2.2.1 MAP CONFIGURATION_ 18

2.2.2 Coordinates Configuration_ 18

2.2.3 configurating communications_ 19

2.2.4 Working folders configuration_ 19

2.2.5 Animation configuration_ 20

2.2.6 Moving map configuration_ 20

2.2.7 International configuration_ 21

2.2.8 Configuring default values_ 21

2.2.9 Tracks configuration_ 22

2.2.10 Configuring the status bar 23

3 Working with tracks_ 23

3.1 Definitions_ 23

3.1.1 What is a track?_ 23

3.1.2 2d and 3d Tracks_ 23

3.2 Procedures with tracks_ 24

3.2.1 Download a track from the GPS_ 24

3.2.2 Opening a track_ 25

3.2.3 Open track properties window_ 25

3.2.4 Save a track_ 25

3.2.5 Close a track_ 26

3.2.6 List of tracks window_ 27

3.2.7 send tracks via internet 28

3.2.8 Track animation_ 29

3.3 Track book_ 29

3.3.1 What is a track book?_ 29

3.3.2 create a track book_ 30

3.3.3 Open a Track Book_ 30

3.3.4 Open another track book_ 30

3.3.5 Save track in the logbook_ 30

3.4 Competition online On Line Contest 32

3.4.1 Save a track to be sent to the On line contest 32

3.4.2 Send files to the web of the On Line Contest(OLC) 32

3.5 Track propierties_ 33

3.5.1 Open the Track Properties window_ 33

3.5.2 Track information_ 33

3.5.3 Colours & icons_ 34

3.5.4 Comments on the track_ 34

3.5.5 List of track points_ 34

3.5.6 Advanced_ 35

3.6 Analysing a track_ 36

3.6.1 Selecting a subtrack_ 36

3.6.2 Subtrack analysis_ 37

3.7 Track contextual menu_ 38

3.7.1 ¿What is the track contextual menu?_ 38

4 Working with maps_ 39

4.1 Definitions_ 39

4.1.1 what is a MAP?_ 39

4.1.2 Calibration_ 40

4.2 PROCEDURES WITH MAPS_ 40

4.2.1 Open a MAP_ 40

4.2.2 Open index map_ 41

4.2.3 To close a certain map: 42

4.2.4 Map viewing options_ 42

4.2.5 Properties of the map_ 44

4.2.6 Convert a bitmap into a calibrated map_ 44

4.2.7 list of open maps_ 45

4.2.8 Download maps via internet 46

4.2.9 Internet map formats_ 46

4.2.10 The map’s contextual menu_ 47

4.2.11 Drawing the frames of maps_ 48

4.3 ADVANCED OPTIONS_ 48

4.3.1 Revising calibration_ 48

4.3.2 Import a map_ 49

4.3.3 Joining maps_ 49

5 Working with map reliefs_ 50

5.1 Definitions_ 50

5.1.1 what is a landscape?_ 50

5.1.2 3D formats_ 50

5.2 Procedures with map reliefs_ 51

5.2.1 Open relief map_ 51

5.2.2 Close relief map_ 51

5.2.3 List of active landscapes_ 51

5.2.4 Import landscapes_ 52

5.2.5 Downloading landscapes_ 52

6 WORKING WITH waypoints_ 53

6.1 Definitions_ 53

6.1.1 What is a waypoint?_ 53

6.1.2 Waypoint formats_ 53

6.1.3 basic waypoint information_ 53

6.1.4 Waypoint coordinates_ 54

6.2 Procedures with waypoints_ 54

6.2.1 Open the waypoint properties window_ 54

6.2.2 Waypoint Contextual window_ 55

6.2.3 aDvance properties_ 56

6.2.4 Downloading waypoints FROM the gps_ 56

6.2.5 Load a waypoint file onto the gps_ 56

6.2.6 Load a single waypoint onto the gps_ 57

6.2.7 Create a waypoint 57

6.2.8 Create a waypoint using the contextual menu_ 58

6.2.9 Open a waypoints file_ 58

6.2.10 Saving a waypoint file_ 58

6.2.11 Close waypoint file_ 59

6.2.12 Waypoint viewing options_ 59

6.2.13 List of open waypoints_ 59

6.2.14 Printing a waypoint list 59

7 Working with routes_ 60

7.1 Definitions_ 60

7.1.1 what is a route?_ 60

7.1.2 Route formats_ 60

7.2 Procedures with routes_ 60

7.2.1 To open a route_ 60

7.2.2 List of open routes_ 61

7.2.3 Creating a route_ 61

7.2.4 Sending a route to the gps_ 62

7.2.5 Downloading routes from the gps_ 62

7.3 Route properties_ 63

7.3.1 Properties of a route_ 63

7.3.2 Modifying a waypoint in a route_ 63

7.3.3 Changing the order waypoints are stored in a route_ 63

7.3.4 Including a waypoint in a list into a route_ 63

7.3.5 Including a new waypoint in a list 64

7.3.6 Remove a waypoint from the route_ 64

7.3.7 Saving a route_ 64

7.3.8 Save a route as_ 64

7.3.9 Change the colour of a route_ 65

7.3.10 The route contextual menu_ 65

8 Profiles: Linking objects_ 66

8.1 Definitions_ 66

8.1.1 What is a profile?_ 66

8.2 Procedures with profiles_ 66

8.2.1 Open a profile_ 66

8.2.2 Saving a profile_ 66

9 CompeGPS Track server 67

9.1 Definitions_ 67

9.1.1 What is the CompeGPS track server?_ 67

9.2 CompeGPS Track server procedures_ 67

9.2.1 Dowload a track from the CompeGPS Track Server 67

9.2.2 Sending a track to the CompeGPS track server 69

10 Visualisation options_ 69

10.1 View menu_ 69

10.2 3D window_ 70

10.2.1 Opening 3d visualization window_ 70

10.2.2 3D control and movement 70

10.2.3 3d views_ 71

10.2.4 Exagerated heights in the 3d window_ 72

10.2.5 Zoom in the 3D window_ 72

10.2.6 Centering the object in the 3D window_ 72

10.2.7 Shadows_ 73

10.2.8 3d animation_ 73

10.2.9 3d viewing options_ 74

10.2.10_______________________________________ 3d configuration options_ 74

10.3 3D Performance_ 75

10.3.1 Intro_ 75

10.3.2 Textures and video Memory_ 75

10.3.3 Mip maps_ 76

10.3.4 CompeGPS 2004 3D Engine_ 76

10.3.5 Regeneration_ 78

11 Configurating your GPS for data transmision_ 79

11.1 Configurating the Garmin GPS for download_ 79

11.2 Configurating a MLR GPS for download_ 79

11.3 Configurating a Renschler GPs for download_ 79

11.4 Configuring a Brauniger Galileo for download_ 79

11.5 Configuring a Top Navigator for download_ 80